<?php
// include helper
require_once (BONUS_LAYOUT_PATH.'/layout_helper.php');
$bt = new BonusHelper();

// no direct access
defined('_JEXEC') or die;
?><!DOCTYPE html>
<?php if (!empty($bt->lang_type)): ?>
<html lang="<?php echo $this->language; ?>" dir="<?php echo $bt->lang_type; ?>">
<?php else: ?>
<html lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>">
<?php endif; ?>

<head>
<?php 
// Custom code after <head>
echo $bt->tmpl_params->get("after_head"); 
?>

<jdoc:include type="head" />
<?php include_once(BONUS_LAYOUT_PATH.'/head.php'); ?>

<?php
// Custom code before </head>
echo $bt->tmpl_params->get("before_head"); 
?>
</head>

<?php
// BEGIN: create the body class
$class_lang = JRequest::getVar("lang");
$class_option = JRequest::getVar("option");
$class_view = JRequest::getVar("view");
$class_id = (int)JRequest::getVar("id");
$class_itemid = (int)JRequest::getVar("Itemid");
// var
$j_body_class  = '';
$j_body_class .= (!empty($class_lang)) ? "bt_body_lang_".$class_lang : "";
$j_body_class .= (!empty($class_option)) ? " bt_body_option_".$class_option : "";
$j_body_class .= (!empty($class_view)) ? " bt_body_view_".$class_view : "";
$j_body_class .= (!empty($class_id)) ? " bt_body_id_".$class_id : "";
$j_body_class .= (!empty($class_itemid)) ? " bt_body_itemid_".$class_itemid : "";

// BEGIN: get joomla version
if ($bt->getJVersion() == 'j3x'):
	$j_body_class .= " bt_j3x";
elseif ($bt->getJVersion() == 'j25x'):
	$j_body_class .= " bt_j25x";
else:
	$j_body_class .= " bt_j_unknown";
endif;
// END: get joomla version

// END: create the body class
?>

<body id="<?php echo $bt->getCleanTemplateName(); ?>" class="<?php echo $j_body_class; ?> bt_body<?php echo (!empty($body_class) ? $body_class : '')?>">
<div style="position:absolute;top:0;left:-9999px;">
<a href="http://joomla4ever.ru/bonusthemes/2458-bt-petcare.html" title="BT Petcare - шаблон joomla" target="_blank">BT Petcare - шаблон joomla</a>
<a href="http://paper-life.ru/" title="Оригами" target="_blank">Оригами</a>
</div>
<?php 
// Custom code after <body>
echo $bt->tmpl_params->get("after_body"); 
?>

<div id="bt_wrapper" class="<?php echo $bg_layout; ?>">

<?php include_once(BONUS_LAYOUT_PATH.'/main.php'); ?>

</div><!-- #bt_wrapper -->

<?php include_once(BONUS_LAYOUT_PATH.'/foot.php'); ?>

<?php
// Custom code before </body>
echo $bt->tmpl_params->get("before_body"); 
?>
</body>
</html>