<?php
defined('JPATH_BASE') or die;

// BEGIN: Custom css for template parameters in Joomla! backend
jimport('joomla.environment.uri' );
$host = JURI::root();
$document = JFactory::getDocument();
$document->addStyleSheet(JURI::root(true).'/plugins/system/bonusframework/elements/assets/css/bt_admin.css');
// END: Custom css for template parameters in Joomla! backend

// BEGIN: Custom css and js for template parameters in Joomla! backend
jimport('joomla.environment.uri' );
$host = JURI::root();
$document = JFactory::getDocument();
JLoader::import( "joomla.version" );
$version = new JVersion();
if (version_compare( $version->RELEASE, "2.5", "<=")) :
	$document->addScript(JURI::root(true).'/plugins/system/bonusframework/elements/assets/js/jquery-1.10.2.min.js');
endif;
$document->addScript(JURI::root(true).'/plugins/system/bonusframework/elements/assets/js/bt_admin.js');
$document->addStyleSheet(JURI::root(true).'/plugins/system/bonusframework/elements/assets/css/bt_admin.css');
// END: Custom css and js for template parameters in Joomla! backend

// BEGIN: Loading plugin language file
$lang = JFactory::getLanguage();
$extension = 'plg_system_bonusframework';
$base_dir = JPATH_SITE;
$language_tag = 'en-GB';
$reload = true;
$lang->load($extension, $base_dir, $language_tag, $reload);
// END: Loading plugin language file

// BEGIN: Get template's name from template id e.g. bt_bodyworx
function getTemplateName()
{
	$template_id = JRequest::getVar('id');
	$db = JFactory::getDbo();
	$query = $db->getQuery(true);
	$query
		->select('template')
		->from('`#__template_styles`')
		->where('`client_id` = 0 AND `id`= ' . (int)$template_id)
		->order('`id` ASC');
	$db->setQuery($query);
	return $db->loadResult();
}
// END: Get template's name from template id

// BEGIN: Get template's name e.g. bt_bodyworx
function getCleanTemplateName()
{
	$db = JFactory::getDbo();
	$query = $db->getQuery(true);
	$query
		->select('template')
		->from('`#__template_styles`')
		->where('`client_id` = 0 AND `template` LIKE "bt_%" AND `params` LIKE "%googlefont%"')
		->order('`id` DESC')
		;
	$db->setQuery($query);
	$result = $db->loadResult();
	
	if (!empty($result)):
	
		$return_result = $db->loadResult();

	else:
	
		$query = $db->getQuery(true);
		$query
			->select('template')
			->from('`#__template_styles`')
			->where('`client_id` = 0 AND `template` LIKE "bt_%"')
			->order('`id` DESC')
			;
		$db->setQuery($query);
		$return_result = $db->loadResult();

	endif;

	return $return_result;
}
// END: Get template's name e.g. bt_bodyworx
?>

<?php if ($_GET['option'] == 'com_templates' && $_GET['view'] == 'style' && $_GET['layout'] == 'edit'): ?>
<!-- BEGIN: Validate fields -->
<style type="text/css">
.invalid {
	border: 1px dotted red !important;
	padding: 3px;
}
</style>

<script type="text/javascript">
Joomla.submitbutton = function(task)
{
	// modules
	var jform_params_news_modules = document.getElementById('jform_params_news_modules').value;
	var jform_params_mainbody_modules = document.getElementById('jform_params_mainbody_modules').value;
	var jform_params_banner_modules = document.getElementById('jform_params_banner_modules').value;
	var jform_params_top_modules = document.getElementById('jform_params_top_modules').value;
	var jform_params_header_modules = document.getElementById('jform_params_header_modules').value;
	var jform_params_showcase_modules = document.getElementById('jform_params_showcase_modules').value;
	var jform_params_features_modules = document.getElementById('jform_params_features_modules').value;
	var jform_params_utility_modules = document.getElementById('jform_params_utility_modules').value;
	var jform_params_bottomup_modules = document.getElementById('jform_params_bottomup_modules').value;
	var jform_params_bottomdown_modules = document.getElementById('jform_params_bottomdown_modules').value;
	var jform_params_footerup_modules = document.getElementById('jform_params_footerup_modules').value;
	var jform_params_footerdown_modules = document.getElementById('jform_params_footerdown_modules').value;
	
	// grid
	var jform_params_news_grid = document.getElementById('jform_params_news_grid').value;
	var jform_params_mainbody_grid = document.getElementById('jform_params_mainbody_grid').value;
	var jform_params_banner_grid = document.getElementById('jform_params_banner_grid').value;
	var jform_params_top_grid = document.getElementById('jform_params_top_grid').value;
	var jform_params_header_grid = document.getElementById('jform_params_header_grid').value;
	var jform_params_showcase_grid = document.getElementById('jform_params_showcase_grid').value;
	var jform_params_features_grid = document.getElementById('jform_params_features_grid').value;
	var jform_params_utility_grid = document.getElementById('jform_params_utility_grid').value;
	var jform_params_bottomup_grid = document.getElementById('jform_params_bottomup_grid').value;
	var jform_params_bottomdown_grid = document.getElementById('jform_params_bottomdown_grid').value;
	var jform_params_footerup_grid = document.getElementById('jform_params_footerup_grid').value;
	var jform_params_footerdown_grid = document.getElementById('jform_params_footerdown_grid').value;
	
	// validate
	if  ((task == 'style.apply' || task == 'style.save') && 
	
		// modules
		(jform_params_news_modules==null || jform_params_news_modules=="") || 
		(jform_params_mainbody_modules==null || jform_params_mainbody_modules=="") || 
		(jform_params_banner_modules==null || jform_params_banner_modules=="") || 
		(jform_params_top_modules==null || jform_params_top_modules=="") || 
		(jform_params_header_modules==null || jform_params_header_modules=="") || 
		(jform_params_showcase_modules==null || jform_params_showcase_modules=="") || 
		(jform_params_features_modules==null || jform_params_features_modules=="") || 
		(jform_params_utility_modules==null || jform_params_utility_modules=="") || 
		(jform_params_bottomup_modules==null || jform_params_bottomup_modules=="") || 
		(jform_params_bottomdown_modules==null || jform_params_bottomdown_modules=="") || 
		(jform_params_footerup_modules==null || jform_params_footerup_modules=="") || 
		(jform_params_footerdown_modules==null || jform_params_footerdown_modules=="") || 
		
		// grid
		(jform_params_news_grid==null || jform_params_news_grid=="") || 
		(jform_params_mainbody_grid==null || jform_params_mainbody_grid=="") || 
		(jform_params_banner_grid==null || jform_params_banner_grid=="") || 
		(jform_params_top_grid==null || jform_params_top_grid=="") || 
		(jform_params_header_grid==null || jform_params_header_grid=="") || 
		(jform_params_showcase_grid==null || jform_params_showcase_grid=="") || 
		(jform_params_features_grid==null || jform_params_features_grid=="") || 
		(jform_params_utility_grid==null || jform_params_utility_grid=="") || 
		(jform_params_bottomup_grid==null || jform_params_bottomup_grid=="") || 
		(jform_params_bottomdown_grid==null || jform_params_bottomdown_grid=="") || 
		(jform_params_footerup_grid==null || jform_params_footerup_grid=="") || 
		(jform_params_footerdown_grid==null || jform_params_footerdown_grid=="")		
		) {
		
		alert("Please, fill in all required fields with asterisk (*).");
		return false;
	
	}else{
		Joomla.submitform(task, document.getElementById('style-form'));
	}
}
</script>
<!-- END: Validate fields -->
<?php endif; ?>