<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="IE=Edge,chrome=1">

<?php 
// check if compression is enabled
$compress_css = ($bt->tmpl_params->get("compress_css", "1") == 1 && $bt->templateFileExists('/css/css_min.php')) ? true : false;

// get google fonts from template parameters
$is_ssl = $bt->is_ssl();
$googlefont_primary = $bt->tmpl_params->get("googlefont_primary");
$googlefont_secondary = $bt->tmpl_params->get("googlefont_secondary");
?>

<?php
if ($compress_css):
// disable k2.css 
unset($this->_styleSheets[$this->baseurl .'/components/com_k2/css/k2.css']);
endif;

//j25
if(JFactory::getApplication()->get('jquery') !== true && JRequest::getVar("option") != "com_virtuemart") :
// load jQuery here
JFactory::getApplication()->set('jquery', true);
// jQuery
?>
<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
<script src="<?php echo BONUS_ASSETS_URL.'/js/jquery/jquery_v1.11.0.js'; ?>"></script>
<script>jQuery.noConflict();</script>
<?php endif; ?>

<?php if (!$compress_css): ?>
<!-- Font Awesome icons -->
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/plugins/system/bonusframework/assets/css/font_awesome.css" type="text/css" />
<?php /*?><link href="//netdna.bootstrapcdn.com/font-awesome/4.0.3/css/font-awesome.css" rel="stylesheet"><?php */?>
<?php endif; ?>

<?php
// BEGIN: Favicon
$favicon = $bt->tmpl_params->get("favicon");
if (!empty($favicon)):
?>
<!-- BEGIN: Favicon -->
<link href="<?php echo $favicon; ?>" rel="icon" type="image/vnd.microsoft.icon" />
<!-- END: Favicon -->
<?php 
endif; 
// END: Favicon
?>

<!-- BEGIN: Bootstrap -->
<?php if (!$compress_css): ?>
<link href="<?php echo BONUS_ASSETS_URL.'/css/bootstrap.min.css'; ?>" rel="stylesheet">
<?php endif; ?>

<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
  <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->
<!-- END: Bootstrap -->

<?php if (!$compress_css): ?>
<!-- BEGIN: Core CSS -->
<!-- template -->
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/plugins/system/bonusframework/assets/css/core_template.css" type="text/css" />

<!-- typo -->
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/plugins/system/bonusframework/assets/css/core_typography.css" type="text/css" />

<!-- joomla -->
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/plugins/system/bonusframework/assets/css/core_joomla.css" type="text/css" />

<!-- menu -->
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/plugins/system/bonusframework/assets/css/core_menu.css" type="text/css" />

<!-- system -->
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/plugins/system/bonusframework/assets/css/core_system.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/plugins/system/bonusframework/assets/css/system/core_offline.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/plugins/system/bonusframework/assets/css/system/core_error.css" type="text/css" />
<?php if ($bt->option_cmd == 'com_mailto'): ?>
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/plugins/system/bonusframework/assets/css/system/core_mailto.css" type="text/css" />
<?php endif; ?>
<?php if ($bt->print_cmd): ?>
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/plugins/system/bonusframework/assets/css/system/core_print.css" type="text/css" />
<?php endif; ?>

<?php if ($bt->option_cmd == 'com_k2'): ?>
<!-- K2 -->
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/plugins/system/bonusframework/assets/css/core_k2_style.css" type="text/css" />
<?php endif; ?>

<?php if ($bt->option_cmd == 'com_virtuemart'): ?>
<!-- Virtuemart -->
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/plugins/system/bonusframework/assets/css/core_virtuemart.css" type="text/css" />
<?php endif; ?>
<!-- END: Core CSS -->
<?php endif; ?>

<?php if (!$compress_css): ?>
<!-- BEGIN: Template CSS -->

<?php if ($bt->templateFileExists('/css/template.css')): ?>
<!-- template -->
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/template.css" type="text/css" />
<?php endif; ?>

<?php if ($bt->templateFileExists('/css/layout.css')): ?>
<!-- layout -->
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/layout.css" type="text/css" />
<?php endif; ?>

<?php if ($bt->templateFileExists('/css/typography.css')): ?>
<!-- typography -->
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/typography.css" type="text/css" />
<?php endif; ?>

<?php if ($bt->templateFileExists('/css/mstyles.css')): ?>
<!-- mstyles -->
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/mstyles.css" type="text/css" />
<?php endif; ?>

<?php if ($bt->templateFileExists('/css/joomla.css')): ?>
<!-- joomla -->
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/joomla.css" type="text/css" />
<?php endif; ?>

<?php if ($bt->templateFileExists('/css/menu.css')): ?>
<!-- menu -->
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/menu.css" type="text/css" />
<?php endif; ?>

<!-- system -->
<?php if ($bt->templateFileExists('/css/system.css')): ?>
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/system.css" type="text/css" />
<?php endif; ?>

<?php if ($bt->templateFileExists('/css/system/offline.css')): ?>
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/system/offline.css" type="text/css" />
<?php endif; ?>

<?php if ($bt->templateFileExists('/css/system/error.css')): ?>
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/system/error.css" type="text/css" />
<?php endif; ?>

<?php if ($bt->option_cmd == 'com_mailto' && $bt->templateFileExists('/css/system/mailto.css')): ?>
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/system/mailto.css" type="text/css" />
<?php endif; ?>

<?php if ($bt->print_cmd && $bt->templateFileExists('/css/system/print.css')): ?>
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/system/print.css" type="text/css" />
<?php endif; ?>

<?php if ($bt->option_cmd == 'com_k2' && $bt->templateFileExists('/css/k2_style.css')): ?>
<!-- k2 -->
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/k2_style.css" type="text/css" />
<?php endif; ?>

<?php if ($bt->option_cmd == 'com_virtuemart' && $bt->templateFileExists('/css/virtuemart.css')): ?>
<!-- virtuemart -->
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/virtuemart.css" type="text/css" />
<?php endif; ?>

<?php if ($bt->templateFileExists('/css/responsive.css')): ?>
<!-- responsive -->
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/responsive.css" type="text/css" />
<?php endif; ?>

<?php if ($bt->tmpl_params->get("lang_type", "ltr") == "rtl"): ?>
<!-- RTL language -->
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/rtl.css" type="text/css" />
<?php endif; ?>

<?php if ($bt->templateFileExists('/css/custom.css')): ?>
<!-- custom -->
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/custom.css" type="text/css" />
<?php endif; ?>
<!-- END: Template CSS -->
<?php endif; ?>

<?php 
// BEGIN: Compression
if ($compress_css): ?>
<!-- BEGIN: Minify Core CSS -->
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/plugins/system/bonusframework/assets/css/core_css.php?option_cmd=<?php echo $bt->option_cmd; ?>&print_cmd=<?php echo $bt->print_cmd; ?>&lang_type=<?php echo $bt->lang_type; ?>&googlefont_primary=<?php echo $googlefont_primary; ?>&googlefont_secondary=<?php echo $googlefont_secondary; ?>&is_ssl=<?php echo $is_ssl; ?>" type="text/css" />
<!-- END: Minify CSS -->

<!-- BEGIN: Minify Template's CSS -->
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/css_min.php?option_cmd=<?php echo $bt->option_cmd; ?>&print_cmd=<?php echo $bt->print_cmd; ?>&lang_type=<?php echo $bt->lang_type; ?>" type="text/css" />
<!-- END: Minify Template's CSS -->
<?php 
// END: Compression
endif; ?>

<?php if ($bt->templateFileExists('/js/bt_custom.js') && $bt->getFileContents('/js/bt_custom.js') != ''): ?>
<!-- BEGIN: Custom javascript code -->
<script src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/bt_custom.js"></script>
<!-- END: Custom javascript code -->
<?php endif; ?>

<!-- BEGIN: Style Switcher -->
<?php
// BEGIN: Style Switcher
$results_arr = $bt->styleSwitcher($this->baseurl);
$style_switcher = $results_arr['style_switcher'];
$skin = $results_arr['skin'];
$pattern = $results_arr['pattern'];
$bg_img = $results_arr['bg_img'];
$bg_layout = $results_arr['bg_layout'];
$body_class = $results_arr['body_class'];
$bg_layout_ini = $results_arr['bg_layout_ini'];
$patterns_ini = $results_arr['patterns_ini'];
$bgimages_ini = $results_arr['bgimages_ini'];
$skins_ini = $results_arr['skins_ini'];
$pattern_style_css_a = $results_arr['pattern_style_css_a'];
$pattern_style_css_b = $results_arr['pattern_style_css_b'];
$bgimages_style_css_a = $results_arr['bgimages_style_css_a'];
$bgimages_style_css_b = $results_arr['bgimages_style_css_b'];
$skins_style_css = $results_arr['skins_style_css'];
// END: Style Switcher
?>
<!-- END: Style Switcher -->

<?php
// BEGIN: Google Fonts
if ((!empty($googlefont_primary) || !empty($googlefont_secondary)) && !$compress_css):
?>
<!-- BEGIN: Google Fonts -->
<?php if (!empty($googlefont_primary)): ?>
<link href='http<?php echo ($bt->is_ssl())? 's' : ''; ?>://fonts.googleapis.com/css?family=<?php echo urlencode($googlefont_primary); ?>:300,400,400italic,500,600,700,700italic&amp;subset=latin,greek-ext,cyrillic,latin-ext,greek,cyrillic-ext,vietnamese' rel='stylesheet' type='text/css' />
<?php endif; ?>
<?php if (!empty($googlefont_secondary)): ?>
<link href='http<?php echo ($bt->is_ssl())? 's' : ''; ?>://fonts.googleapis.com/css?family=<?php echo urlencode($googlefont_secondary); ?>:300,400,400italic,500,600,700,700italic&amp;subset=latin,greek-ext,cyrillic,latin-ext,greek,cyrillic-ext,vietnamese' rel='stylesheet' type='text/css' />
<?php endif; ?>
<!-- END: Google Fonts -->
<?php 
endif;

if (!empty($googlefont_primary)): ?>
<!-- BEGIN: Google Fonts -->
<style type="text/css">
html, body {
   font-family: "<?php echo $googlefont_primary; ?>", Arial, Helvetica, sans-serif;
}
</style>
<!-- END: Google Fonts -->
<?php 
endif; 
// END: Google Fonts
?>

<?php 
// BEGIN: Sticky Menu
if ($bt->tmpl_params->get("sticky_menu", "1") == "1"): 
$sticky_position = $bt->tmpl_params->get("stickyposition", 'header');
?>
<!-- BEGIN: Sticky Menu | based on: http://webdesign.tutsplus.com/tutorials/javascript-tutorials/create-a-sticky-navigation-header-using-jquery-waypoints/ -->
<style type="text/css">
/*-----------------------------------------------------------------------------------*/
/* STICKY MENU */
/*-----------------------------------------------------------------------------------*/
.bt_<?php echo $sticky_position; ?>_inner {
	z-index: 42;
	position: relative;
}
.bt_sticky_menu {
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	animation:thedrop 1s 1;
	-moz-animation:thedrop 1s 1;
	-webkit-animation:thedrop 1s 1;
	background: #ccc;
	z-index: 9999;
}
</style>
<!-- END: Sticky Menu -->
<?php 
endif; 
// END: Sticky Menu
?>