<!-- Include all compiled plugins (below), or include individual files as needed -->
<script src="<?php echo BONUS_BOOTSTRAP_PATH.'/bootstrap.min.js'; ?>"></script>

<?php
// BEGIN: Style Switcher
if ($style_switcher && ($bg_layout_ini==1 || $patterns_ini==1 || $bgimages_ini==1 || $skins_ini==1)) :
	require_once(BONUS_ASSETS_PATH."/style_switcher/style_switcher.php" ); 
endif;
// END: Style Switcher
?>

<?php if ($bt->templateFileExists('/js/bt_custom.js')): ?>
<!-- BEGIN: Custom js -->
<script src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/bt_custom.js"></script>
<!-- END: Custom js -->
<?php endif; ?>

<?php if ($bt->tmpl_params->get("compress_js", "1") == 1): ?>
<!-- BEGIN: Minify JS -->
<script src="<?php echo $this->baseurl; ?>/plugins/system/bonusframework/assets/js/core_js_min.php"></script>
<!-- END: Minify JS -->
<?php endif; ?>

<?php if ($bt->tmpl_params->get("compress_js", "1") == 0): ?>
<!-- BEGIN: Scroll to TOP | based on: http://www.developerdrive.com/2013/07/using-jquery-to-add-a-dynamic-back-to-top-floating-button-with-smooth-scroll/ -->
<script src="<?php echo BONUS_ASSETS_URL.'/js/scripts/bt_gotop.js'; ?>"></script>
<!-- END: Scroll to TOP -->
<?php endif; ?>

<?php //if ($bt->tmpl_params->get("compress_js", "1") == 0): // can't minified ?>
<!-- BEGIN: Responsive Videos | based on: https://github.com/marclarr/FitVids.js -->
<script src="<?php echo BONUS_ASSETS_URL; ?>/js/shortcodes/jquery.fitvids.min.js"></script>
<!-- END: Responsive Videos -->
<?php //endif; ?>

<?php if ($bt->tmpl_params->get("compress_js", "1") == 0): ?>
<!-- BEGIN: Shortcodes -->
<script src="<?php echo BONUS_ASSETS_URL; ?>/js/shortcodes/modernizr.custom.js"></script>
<script src="<?php echo BONUS_ASSETS_URL; ?>/js/shortcodes/jquery.cbpQTRotator.min.js"></script>
<!-- END: Shortcodes -->
<?php endif; ?>

<?php if ($bt->tmpl_params->get("compress_js", "1") == 0): ?>
<!-- BEGIN: Fade image script -->
<script src="<?php echo BONUS_ASSETS_URL.'/js/scripts/bt_fade_img.js'; ?>"></script>
<!-- END: Fade image script -->
<?php endif; ?>

<?php 
// BEGIN: Sticky Menu
if ($bt->tmpl_params->get("sticky_menu", "1") == "1"): 
$sticky_position = $bt->tmpl_params->get("stickyposition", 'header'); ?>
<!-- BEGIN: Sticky Menu | based on: http://webdesign.tutsplus.com/tutorials/javascript-tutorials/create-a-sticky-navigation-header-using-jquery-waypoints/ -->
<?php if ($bt->tmpl_params->get("compress_js", "1") == 0): ?>
<script src="<?php echo BONUS_ASSETS_URL.'/js/scripts/menu/bt_waypoints.min.js'; ?>"></script>
<?php endif; ?>
<script>
var bt_sticky_menu = jQuery.noConflict();
bt_sticky_menu(function() {

	// Do our DOM lookups beforehand
	var nav_container = bt_sticky_menu(".bt_<?php echo $sticky_position; ?>_outer");
	var nav = bt_sticky_menu(".bt_<?php echo $sticky_position; ?>_inner");
	
	var top_spacing = 0;
	var waypoint_offset = 50;

	nav_container.waypoint({
		handler: function(event, direction) {
			
			if (direction == 'down') {
			
				nav_container.css({ 'height':nav.outerHeight() });		
				nav.stop().addClass("bt_sticky_menu").css("top",-nav.outerHeight()).animate({"top":top_spacing});
				
			} else {
			
				nav_container.css({ 'height':'auto' });
				nav.stop().removeClass("bt_sticky_menu").css("top",nav.outerHeight()+waypoint_offset).animate({"top":""});
				
			}
			
		},
		offset: function() {
			return -nav.outerHeight()-waypoint_offset;
		}
	});
});
<!-- END: Sticky Menu -->
</script>
<?php 
endif; 
// END: Sticky Menu
?>

<?php if ($bt->tmpl_params->get("compress_js", "1") == 0): ?>
<!-- BEGIN: Responsive Menu | based on: http://slicknav.com/ -->
<script src="<?php echo BONUS_ASSETS_URL.'/js/scripts/menu/jquery.slicknav.min.js'; ?>"></script>
<!-- END: Responsive Menu -->
<?php endif; ?>

<!-- BEGIN: Override BOOTSTRAP JS -->
<script>
var jQueryYtBootstrap = jQuery.noConflict();
jQueryYtBootstrap(document).ready(function() {
	jQueryYtBootstrap('.rev_slider_wrapper img').addClass('img-responsive');
	jQueryYtBootstrap('img').addClass('img-responsive');
	jQueryYtBootstrap('.bt_breadcrumbs img').removeClass('img-responsive');
	jQueryYtBootstrap('span.content_rating img').removeClass('img-responsive');
	jQueryYtBootstrap('.itemToolbar img').removeClass('img-responsive');
});
<!-- END: Override BOOTSTRAP JS -->
</script>

<?php
// BEGIN: Google Analytics
$domain_name = str_replace('www.', '', $_SERVER['SERVER_NAME']);
$google_analytics = $bt->tmpl_params->get("google_analytics");
if (!empty($google_analytics)):
?>
<!-- BEGIN: Google Analytics -->
<script type="text/javascript">
  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', '<?php echo $google_analytics; ?>']);
  _gaq.push(['_setDomainName', '.<?php echo $domain_name; ?>']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();
</script>
<!-- END: Google Analytics -->
<?php 
endif; 
// END: Google Analytics

// BEGIN: Go top button
if ($bt->display_gotop && $bt->gotop_type=="auto") :
	echo $bt->bt_gotop; 
endif;
// END: Go top button

// BEGIN: Debug
echo $bt->getDebug();
// END: Debug
?>