<?php
// Compress javascript files in one file
header('Content-type: text/javascript');

// based on: http://www.phpdevtips.com/2011/10/using-php-to-merge-and-minify-css-and-javascript/
function compress($buffer) {
	// remove comments
	$buffer = preg_replace('!/\*[^*]*\*+([^/][^*]*\*+)*/!', '', $buffer);
	// remove tabs, spaces, newlines, etc.
	$buffer = str_replace(array("\r\n", "\r", "\n", "\t", '  ', '   ', '    '), '', $buffer);
	return $buffer;
}

$get_js = array(
// schortcodes
'shortcodes/jquery.fitvids.min.js', 
'shortcodes/modernizr.custom.js', 
'shortcodes/jquery.cbpQTRotator.min.js', 

// template
'scripts/bt_fade_img.js',
'scripts/bt_gotop.js',

// menu
'scripts/menu/bt_waypoints.min.js',
'scripts/menu/jquery.slicknav.min.js',
);

foreach($get_js as $js):
	
	$js = trim($js);
	
	echo "\n\n/*".$js."*/\n";
	ob_start("compress");
	echo file_get_contents($js) . "\n\r";
	ob_end_flush();

endforeach;
?>