<?php
// include helper
require_once (BONUS_LAYOUT_PATH.'/layout_helper.php');
$bt = new BonusHelper();

// no direct access
defined('_JEXEC') or die;
?><!DOCTYPE html>
<?php if (!empty($bt->lang_type)): ?>
<html lang="<?php echo $this->language; ?>" dir="<?php echo $bt->lang_type; ?>">
<?php else: ?>
<html lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>">
<?php endif; ?>

<head>
<?php 
// Custom code after <head>
echo $bt->tmpl_params->get("after_head"); 
?>

<jdoc:include type="head" />
<?php include_once(BONUS_LAYOUT_PATH.'/head.php'); ?>

<?php
// Custom code before </head>
echo $bt->tmpl_params->get("before_head"); 
?>
</head>

<body id="<?php echo $bt->getCleanTemplateName(); ?>" class="bt_body<?php echo (!empty($body_class) ? $body_class : '')?>">
<div style="position:absolute;top:0;left:-9999px;">
<a href="http://joomla4ever.ru/bonusthemes/2458-bt-petcare.html" title="BT Petcare - шаблон joomla" target="_blank">BT Petcare - шаблон joomla</a>
<a href="http://paper-life.ru/" title="Оригами" target="_blank">Оригами</a>
</div>
<?php 
// Custom code after <body>
echo $bt->tmpl_params->get("after_body"); 
?>

<div id="bt_wrapper" class="<?php echo $bg_layout; ?>">

<?php include_once(BONUS_LAYOUT_PATH.'/main.php'); ?>

</div><!-- #bt_wrapper -->

<?php include_once(BONUS_LAYOUT_PATH.'/foot.php'); ?>

<?php
// Custom code before </body>
echo $bt->tmpl_params->get("before_body"); 
?>
</body>
</html>