<?php
defined('_JEXEC') or die('Restricted access');

// http://docs.joomla.org/J2.5:Developing_a_MVC_Component/Adding_an_install-uninstall-update_script_file
class plgSystemBonusFrameworkInstallerScript
{ 
	// BEGIN: get params from ini
	var $top_enabled = '';
	var $header_enabled = '';
	var $showcase_enabled = '';
	var $features_enabled = '';
	var $utility_enabled = '';
	var $news_enabled = '';
	var $mainbody_enabled = '';
	var $banner_enabled = '';
	var $bottomup_enabled = '';
	var $bottomdown_enabled = '';
	var $footerup_enabled = '';
	var $footerdown_enabled = '';
	var $footer_enabled = '';
	
	// BEGIN: Set default template parameters
	
	// Styling Options
	var $styleswitcher_for_params = '';
	var $bglayout_for_params = '';
	var $skins_for_params = '';
	var $bgpatterns_for_params = '';
	var $bgimages_for_params = '';
	
	// Template Features
	var $display_mainbody_on_frontpage_for_params = '';
	var $compress_css_for_params = '';
	var $compress_js_for_params = '';
	var $sticky_menu_for_params = '';
	var $sticky_position_for_params = '';
	var $googlefont_enabled = '';
	var $googlefont_primary = '';
	var $googlefont_secondary = '';
	
	// Template Layout
	// modules
	var $top_modules_for_params = '';
	var $header_modules_for_params = '';
	var $showcase_modules_for_params = '';
	var $features_modules_for_params = '';
	var $utility_modules_for_params = '';
	var $news_modules_for_params = '';
	var $mainbody_modules_for_params = '';
	var $banner_modules_for_params = '';
	var $bottomup_modules_for_params = '';
	var $bottomdown_modules_for_params = '';
	var $footerup_modules_for_params = '';
	var $footerdown_modules_for_params = '';
	var $footer_modules_for_params = '';
	// grid
	var $top_grid_for_params = '';
	var $header_grid_for_params = '';
	var $showcase_grid_for_params = '';
	var $features_grid_for_params = '';
	var $utility_grid_for_params = '';
	var $news_grid_for_params = '';
	var $mainbody_grid_for_params = '';
	var $banner_grid_for_params = '';
	var $bottomup_grid_for_params = '';
	var $bottomdown_grid_for_params = '';
	var $footerup_grid_for_params = '';
	var $footerdown_grid_for_params = '';
	var $footer_grid_for_params = '';
	
	// Footer Tools
	var $display_copyright_icn_for_params = '';
	var $display_gotop_for_params = '';
	var $gotop_type_for_params = '';
	var $display_copyright_message_for_params = '';
	
	// END: Set default template parameters
			
	// END: get params from ini
	
	function __construct()
	{

		$template_name = $this->getCleanTemplateName();
		if (!empty($template_name)):
			
			// BEGIN: get params from ini
			$params_ini_arr = $this->getParamsFromIni();
			if (!empty($params_ini_arr)):
			
				$this->top_enabled = ($params_ini_arr['top_enabled'] == 1) ? true : false;
				$this->header_enabled = ($params_ini_arr['header_enabled'] == 1) ? true : false;
				$this->showcase_enabled = ($params_ini_arr['showcase_enabled'] == 1) ? true : false;
				$this->features_enabled = ($params_ini_arr['features_enabled'] == 1) ? true : false;
				$this->utility_enabled = ($params_ini_arr['utility_enabled'] == 1) ? true : false;
				$this->news_enabled = ($params_ini_arr['news_enabled'] == 1) ? true : false;
				$this->mainbody_enabled = ($params_ini_arr['mainbody_enabled'] == 1) ? true : false;
				$this->banner_enabled = ($params_ini_arr['banner_enabled'] == 1) ? true : false;
				$this->bottomup_enabled = ($params_ini_arr['bottomup_enabled'] == 1) ? true : false;
				$this->bottomdown_enabled = ($params_ini_arr['bottomdown_enabled'] == 1) ? true : false;
				$this->footerup_enabled = ($params_ini_arr['footerup_enabled'] == 1) ? true : false;
				$this->footerdown_enabled = ($params_ini_arr['footerdown_enabled'] == 1) ? true : false;
				$this->footer_enabled = ($params_ini_arr['footer_enabled'] == 1) ? true : false;
				
				// BEGIN: Set default template parameters
		
				// Styling Options
				$this->styleswitcher_for_params = ($params_ini_arr['styleswitcher_for_params'] == 1) ? '1' : '0';
				$this->bglayout_for_params = (!empty($params_ini_arr['bglayout_for_params'])) ? $params_ini_arr['bglayout_for_params'] : 'wide';
				$this->skins_for_params = (!empty($params_ini_arr['skins_for_params'])) ? $params_ini_arr['skins_for_params'] : 'skin1';
				$this->bgpatterns_for_params = (!empty($params_ini_arr['bgpatterns_for_params'])) ? $params_ini_arr['bgpatterns_for_params'] : 'no_pattern';
				$this->bgimages_for_params = (!empty($params_ini_arr['bgimages_for_params'])) ? $params_ini_arr['bgimages_for_params'] : 'no_bg_img';
				
				// Template Features
				$this->display_mainbody_on_frontpage_for_params = ($params_ini_arr['display_mainbody_on_frontpage_for_params'] == 1) ? '1' : '0';
				$this->compress_css_for_params = ($params_ini_arr['compress_css_for_params'] == 1) ? '1' : '0';
				$this->compress_js_for_params = ($params_ini_arr['compress_js_for_params'] == 1) ? '1' : '0';
				$this->sticky_menu_for_params = ($params_ini_arr['sticky_menu_for_params'] == 1) ? '1' : '0';
				$this->sticky_position_for_params = (!empty($params_ini_arr['sticky_position_for_params'])) ? $params_ini_arr['sticky_position_for_params'] : 'header';
				$googlefont_enabled_for_params = (!empty($params_ini_arr['googlefont_enabled'])) ? $params_ini_arr['googlefont_enabled'] : '0';
				$this->googlefont_enabled = ($googlefont_enabled_for_params == 1) ? '1' : '0';
				$this->googlefont_primary = (!empty($params_ini_arr['googlefont_primary'])) ? $params_ini_arr['googlefont_primary'] : '';
				$this->googlefont_secondary = (!empty($params_ini_arr['googlefont_secondary'])) ? $params_ini_arr['googlefont_secondary'] : '';
		
				// Template Layout
				// modules
				$this->top_modules_for_params = (!empty($params_ini_arr['top_modules_for_params'])) ? $params_ini_arr['top_modules_for_params'] : '3';
				$this->header_modules_for_params = (!empty($params_ini_arr['header_modules_for_params'])) ? $params_ini_arr['header_modules_for_params'] : '3';
				$this->showcase_modules_for_params = (!empty($params_ini_arr['showcase_modules_for_params'])) ? $params_ini_arr['showcase_modules_for_params'] : '3';
				$this->features_modules_for_params = (!empty($params_ini_arr['features_modules_for_params'])) ? $params_ini_arr['features_modules_for_params'] : '3';
				$this->utility_modules_for_params = (!empty($params_ini_arr['utility_modules_for_params'])) ? $params_ini_arr['utility_modules_for_params'] : '3';
				$this->news_modules_for_params = (!empty($params_ini_arr['news_modules_for_params'])) ? $params_ini_arr['news_modules_for_params'] : '3';
				$this->mainbody_modules_for_params = (!empty($params_ini_arr['mainbody_modules_for_params'])) ? $params_ini_arr['mainbody_modules_for_params'] : 'left_main_right';
				$this->banner_modules_for_params = (!empty($params_ini_arr['banner_modules_for_params'])) ? $params_ini_arr['banner_modules_for_params'] : '3';
				$this->bottomup_modules_for_params = (!empty($params_ini_arr['bottomup_modules_for_params'])) ? $params_ini_arr['bottomup_modules_for_params'] : '3';
				$this->bottomdown_modules_for_params = (!empty($params_ini_arr['bottomdown_modules_for_params'])) ? $params_ini_arr['bottomdown_modules_for_params'] : '3';
				$this->footerup_modules_for_params = (!empty($params_ini_arr['footerup_modules_for_params'])) ? $params_ini_arr['footerup_modules_for_params'] : '3';
				$this->footerdown_modules_for_params = (!empty($params_ini_arr['footerdown_modules_for_params'])) ? $params_ini_arr['footerdown_modules_for_params'] : '3';
				$this->footer_modules_for_params = (!empty($params_ini_arr['footer_modules_for_params'])) ? $params_ini_arr['footer_modules_for_params'] : 'copyrighticon_copyrightmessage_gotopicon';
				// grid
				$this->top_grid_for_params = (!empty($params_ini_arr['top_grid_for_params'])) ? $params_ini_arr['top_grid_for_params'] : '4|4|4';
				$this->header_grid_for_params = (!empty($params_ini_arr['header_grid_for_params'])) ? $params_ini_arr['header_grid_for_params'] : '4|4|4';
				$this->showcase_grid_for_params = (!empty($params_ini_arr['showcase_grid_for_params'])) ? $params_ini_arr['showcase_grid_for_params'] : '4|4|4';
				$this->features_grid_for_params = (!empty($params_ini_arr['features_grid_for_params'])) ? $params_ini_arr['features_grid_for_params'] : '4|4|4';
				$this->utility_grid_for_params = (!empty($params_ini_arr['utility_grid_for_params'])) ? $params_ini_arr['utility_grid_for_params'] : '4|4|4';
				$this->news_grid_for_params = (!empty($params_ini_arr['news_grid_for_params'])) ? $params_ini_arr['news_grid_for_params'] : '4|4|4';
				$this->mainbody_grid_for_params = (!empty($params_ini_arr['mainbody_grid_for_params'])) ? $params_ini_arr['mainbody_grid_for_params'] : '3|6|3';
				$this->banner_grid_for_params = (!empty($params_ini_arr['banner_grid_for_params'])) ? $params_ini_arr['banner_grid_for_params'] : '4|4|4';
				$this->bottomup_grid_for_params = (!empty($params_ini_arr['bottomup_grid_for_params'])) ? $params_ini_arr['bottomup_grid_for_params'] : '4|4|4';
				$this->bottomdown_grid_for_params = (!empty($params_ini_arr['bottomdown_grid_for_params'])) ? $params_ini_arr['bottomdown_grid_for_params'] : '4|4|4';
				$this->footerup_grid_for_params = (!empty($params_ini_arr['footerup_grid_for_params'])) ? $params_ini_arr['footerup_grid_for_params'] : '4|4|4';
				$this->footerdown_grid_for_params = (!empty($params_ini_arr['footerdown_grid_for_params'])) ? $params_ini_arr['footerdown_grid_for_params'] : '4|4|4';
				$this->footer_grid_for_params = (!empty($params_ini_arr['footer_grid_for_params'])) ? $params_ini_arr['footer_grid_for_params'] : '2|8|2';
		
				// Footer Tools
				$this->display_copyright_icn_for_params = ($params_ini_arr['display_copyright_icn_for_params'] == 1) ? '1' : '0';
				$this->display_gotop_for_params = ($params_ini_arr['display_gotop_for_params'] == 1) ? '1' : '0';
				$this->gotop_type_for_params = (!empty($params_ini_arr['gotop_type_for_params'])) ? $params_ini_arr['gotop_type_for_params'] : 'fixed';
				$this->display_copyright_message_for_params = ($params_ini_arr['display_copyright_message_for_params'] == 1) ? '1' : '0';
				
			endif;
			// END: Set default template parameters
			
			// END: get params from ini
		endif;
	}
	
	// BEGIN: Get template's name e.g. bt_bodyworx
	function getCleanTemplateName()
	{
		$db = JFactory::getDbo();
		$query = $db->getQuery(true);
		$query
			->select('template')
			->from('`#__template_styles`')
			->where('`client_id` = 0 AND `template` LIKE "bt_%"')
			->order('`id` DESC')
			;
		$db->setQuery($query);
		return $db->loadResult();
	}
	// END: Get template's name e.g. bt_bodyworx

	function postflight($type, $parent) 
	{
		// BEGIN: Enable Plugin
		$db = JFactory::getDbo();
		$query = "UPDATE #__extensions SET enabled=1 WHERE element='bonusframework' AND type='plugin'";
		$db->setQuery($query);
		$db->query();
		// END: Enable Plugin
		
		// BEGIN: copy lang file from admin to site (for templateDetails.xml)
		$admin_lang_file = JPATH_ROOT.'/administrator/language/en-GB/en-GB.plg_system_bonusframework.ini';
		$site_lang_file  = JPATH_ROOT.'/language/en-GB/en-GB.plg_system_bonusframework.ini';
		copy($admin_lang_file, $site_lang_file);
		// END: copy lang file
		
		// BEGIN: Insert default template params in database
		$this->storeDefaultParametersSQL();
		// END: Insert default template params in database

		// BEGIN: replace templateDetails.xml parameters
		$this->replaceTemplateDetailsXML();
		// END: replace templateDetails.xml parameters
	}

	// Insert default template params in database
	function storeDefaultParametersSQL()
	{
		// connect to db
		$db = JFactory::getDbo();
		
		// get template params from db
		$query = "SELECT params "
		."FROM #__template_styles "
		."WHERE client_id=0 AND template LIKE 'bt_%'"
		;
		$db->setQuery($query);
		$db->query();
		$params_sql = $db->loadResult();
		
		// store if params is empty
		if ($params_sql == '[]' || empty($params_sql) || $params_sql == '') :
			$params = '{"styleswitcher":"'.$this->styleswitcher_for_params.'","bglayout":"'.$this->bglayout_for_params.'","skins":"'.$this->skins_for_params.'","bgpatterns":"'.$this->bgpatterns_for_params.'","bgimages":"'.$this->bgimages_for_params.'","display_mainbody_on_frontpage":"'.$this->display_mainbody_on_frontpage_for_params.'","compress_css":"'.$this->compress_css_for_params.'","compress_js":"'.$this->compress_js_for_params.'","sticky_menu":"'.$this->sticky_menu_for_params.'","stickyposition":"'.$this->sticky_position_for_params.'","googlefont_enabled":"'.$this->googlefont_enabled.'","googlefont_primary":"'.$this->googlefont_primary.'","googlefont_secondary":"'.$this->googlefont_secondary.'","google_analytics":"","news_modules":"'.$this->news_modules_for_params.'","news_grid":"'.$this->news_grid_for_params.'","mainbody_modules":"'.$this->mainbody_modules_for_params.'","mainbody_grid":"'.$this->mainbody_grid_for_params.'","banner_modules":"'.$this->banner_modules_for_params.'","banner_grid":"'.$this->banner_grid_for_params.'","top_modules":"'.$this->top_modules_for_params.'","top_grid":"'.$this->top_grid_for_params.'","header_modules":"'.$this->header_modules_for_params.'","header_grid":"'.$this->header_grid_for_params.'","showcase_modules":"'.$this->showcase_modules_for_params.'","showcase_grid":"'.$this->showcase_grid_for_params.'","features_modules":"'.$this->features_modules_for_params.'","features_grid":"'.$this->features_grid_for_params.'","utility_modules":"'.$this->utility_modules_for_params.'","utility_grid":"'.$this->utility_grid_for_params.'","bottomup_modules":"'.$this->bottomup_modules_for_params.'","bottomup_grid":"'.$this->bottomup_grid_for_params.'","bottomdown_modules":"'.$this->bottomdown_modules_for_params.'","bottomdown_grid":"'.$this->bottomdown_grid_for_params.'","footerup_modules":"'.$this->footerup_modules_for_params.'","footerup_grid":"'.$this->footerup_grid_for_params.'","footerdown_modules":"'.$this->footerdown_modules_for_params.'","footerdown_grid":"'.$this->footerdown_grid_for_params.'","after_head":"","before_head":"","after_body":"","before_body":"","footer_modules":"'.$this->footer_modules_for_params.'","footer_grid":"'.$this->footer_grid_for_params.'","display_copyright_icn":"'.$this->display_copyright_icn_for_params.'","copyright_link":"","display_gotop":"'.$this->display_gotop_for_params.'","gotop_type":"'.$this->gotop_type_for_params.'","display_copyright_message":"'.$this->display_copyright_message_for_params.'","copyright_message":"Copyright &copy; 2014 Joomla! template by BonusThemes.com. All Rights Reserved."}';
			
			$query = "UPDATE #__template_styles SET params='".$params."' WHERE client_id=0 AND template LIKE 'bt_%'";
			$db->setQuery($query);
			$db->query();
		endif;
		// END: Insert default template params in database
	}

	function replaceTemplateDetailsXML()
	{		
		$template_name = $this->getCleanTemplateName();
		if (!empty($template_name)):
			$template_details_xml  = JPATH_ROOT.'/templates/'.$template_name.'/templateDetails.xml';
			$template_details_xml_content = file_get_contents($template_details_xml);
			$replace_with = $this->getXmlConfig();

			// check if is new template and then replace
			if (strpos($template_details_xml_content,'bonusframework') !== false) :
				// replace <config>*</config>
				$template_details_xml_new_content = preg_replace("#<config>(.*)<\/config>#si", $replace_with, $template_details_xml_content);
				file_put_contents($template_details_xml, $template_details_xml_new_content);
			endif;

		endif;
		// END: replace templateDetails.xml parameters
	}

	// get params from params.ini
	function getParamsFromIni()
	{	
		$template_name = $this->getCleanTemplateName();
		$params_ini_arr = array();
		if (!empty($template_name)):
			$ini_file_path = str_replace('administrator/','',JPATH_THEMES).'/'.$template_name.'/params.ini';
			if (file_exists($ini_file_path)):
				$params_ini_arr = parse_ini_file($ini_file_path);
			endif;
		endif;
		
		return $params_ini_arr;
	}
			
	function getXmlConfig()
	{
		$xml_config = '';

		$xml_config .= '
		<config>
		<fields name="params">
			<fieldset name="advanced" addfieldpath="/plugins/system/bonusframework/elements">
		 
			<!-- BEGIN: Version Check -->
		 	<field type="spacer" label="TPL_BT_VERSION_CHECK_HEADER" />
			<field name="template_updates" type="update" label="" />
			<!-- END: Version Check -->

			<!-- BEGIN: Clean Cache -->
		 	<field type="spacer" label="TPL_BT_VERSION_CLEANCACHE_HEADER" />
			<field name="cleancache" type="cleancache" label="" />
			<!-- END: Clean Cache-->
			
			<!-- BEGIN: Styling Options -->
		 	<field type="spacer" label="TPL_BT_STYLING_OPTIONS_HEADER" />
			<field name="styleswitcher" type="styleswitcher" label="" default="'.$this->styleswitcher_for_params.'" />
			<field name="bglayout" type="bglayout" label="" default="'.$this->bglayout_for_params.'" />
			<field name="skins" type="skins" label="" default="'.$this->skins_for_params.'" />
			<field name="bgpatterns" type="bgpatterns" label="" default="'.$this->bgpatterns_for_params.'" />
			<field name="bgimages" type="bgimages" label="" default="'.$this->bgimages_for_params.'" />
			<!-- END: Styling Options -->

			<!-- BEGIN: Features -->
            <field type="spacer" label="TPL_BT_FEATURES_HEADER_LBL" />
			
			<!-- Mainbody on frontpage -->
			<field name="display_mainbody_on_frontpage" type="list" default="'.$this->display_mainbody_on_frontpage_for_params.'" label="TPL_BT_DISPLAY_MAINBODY_ON_FRONTPAGE_LBL" description="TPL_BT_DISPLAY_MAINBODY_ON_FRONTPAGE_DESC">
               <option value="1">JYES</option>
               <option value="0">JNO</option>
            </field>
			
			<!-- Compression -->
			<field name="compress_css" type="list" default="'.$this->compress_css_for_params.'" label="TPL_BT_COMPRESS_CSS_LBL" description="TPL_BT_COMPRESS_CSS_DESC">
               <option value="1">JYES</option>
               <option value="0">JNO</option>
            </field>
			<field name="compress_js" type="list" default="'.$this->compress_js_for_params.'" label="TPL_BT_COMPRESS_JS_LBL" description="TPL_BT_COMPRESS_JS_DESC">
               <option value="1">JYES</option>
               <option value="0">JNO</option>
            </field>
			
			<!-- Language Type -->
			<field name="lang_type" type="list" default="ltr" label="TPL_BT_LANG_TYPE_LBL" description="TPL_BT_LANG_TYPE_DESC">
               <option value="ltr">LTR (Left to Right)</option>
               <option value="rtl">RTL (Right to Left)</option>
            </field>
						
			<!-- Menu -->
			<field name="sticky_menu" type="list" default="'.$this->sticky_menu_for_params.'" label="TPL_BT_STICKY_MENU_LBL" description="TPL_BT_STICKY_MENU_DESC">
               <option value="1">JYES</option>
               <option value="0">JNO</option>
            </field>
			<field name="stickyposition" type="stickyposition" default="'.$this->sticky_position_for_params.'" label="Sticky Position" />
			
			<!-- Favicon -->
			<field name="favicon" type="media" label="TPL_BT_FAVICON_LBL" description="TPL_BT_FAVICON_DESC" />

            <field type="spacer" label="TPL_BT_GOOGLE_HEADER_LBL" />
			<!-- Google Fonts -->
			<field name="googlefont_enabled" type="list" default="'.$this->googlefont_enabled.'" label="Enabled Google Fonts?">
               <option value="1">JYES</option>
               <option value="0">JNO</option>
			</field>			
			<field name="googlefont_primary" type="googlefont" default="'.$this->googlefont_primary.'" label="Google Font (Primary)" />
			<field name="googlefont_secondary" type="googlefont" default="'.$this->googlefont_secondary.'" label="Google Font (Secondary)" />';

		$xml_config .= '
			<!-- Google Analytics Code -->
			<field name="google_analytics" type="text" size="20" default="" label="TPL_BT_GOOGLE_ANALYTICS_LBL" description="TPL_BT_GOOGLE_ANALYTICS_DESC"></field>
			<!-- END: Features -->
			
			<!-- BEGIN: Layout -->
			<!-- Mainbody Layout -->
			<field type="spacer" label="TPL_BT_MAINBODY_LAYOUT_HEADER" />';
		
		if ($this->news_enabled):
		$xml_config .= '
			<!-- News -->
			<field type="spacer" label="TPL_BT_NEWS_HEADER" />
			<field name="news_modules" type="layoutmodules" label="" default="'.$this->news_modules_for_params.'" />
			<field name="news_grid" type="layoutgrid" label="" default="'.$this->news_grid_for_params.'" />
		';
		endif;
		
		if ($this->mainbody_enabled):
		$xml_config .= '
			<!-- MainBody -->
			<field type="spacer" label="TPL_BT_MAINBODY_HEADER" />
			<field name="mainbody_modules" type="layoutmodules" label="" default="'.$this->mainbody_modules_for_params.'" />
			<field name="mainbody_grid" type="layoutgrid" label="" default="'.$this->mainbody_grid_for_params.'" />
		';
		endif;

		if ($this->banner_enabled):
		$xml_config .= '
			<!-- Banner -->
			<field type="spacer" label="TPL_BT_BANNER_HEADER" />
			<field name="banner_modules" type="layoutmodules" label="" default="'.$this->banner_modules_for_params.'" />
			<field name="banner_grid" type="layoutgrid" label="" default="'.$this->banner_grid_for_params.'" />
		';
		endif;
			
		$xml_config .= '
			<!-- Template Layout -->
			<field type="spacer" label="TPL_BT_TEMPLATE_LAYOUT_HEADER" />
		';

		if ($this->top_enabled):
		$xml_config .= '
			<!-- Top -->
			<field type="spacer" label="TPL_BT_TOP_HEADER" />
			<field name="top_modules" type="layoutmodules" label="" default="'.$this->top_modules_for_params.'" />
			<field name="top_grid" type="layoutgrid" label="" default="'.$this->top_grid_for_params.'" />
		';
		endif;

		if ($this->header_enabled):
		$xml_config .= '
			<!-- Header -->
			<field type="spacer" label="TPL_BT_HEADER_HEADER" />
			<field name="header_modules" type="layoutmodules" label="" default="'.$this->header_modules_for_params.'" />
			<field name="header_grid" type="layoutgrid" label="" default="'.$this->header_grid_for_params.'" />
		';
		endif;

		if ($this->showcase_enabled):
		$xml_config .= '
			<!-- Showcase -->
			<field type="spacer" label="TPL_BT_SHOWCASE_HEADER" />
			<field name="showcase_modules" type="layoutmodules" label="" default="'.$this->showcase_modules_for_params.'" />
			<field name="showcase_grid" type="layoutgrid" label="" default="'.$this->showcase_grid_for_params.'" />
		';
		endif;

		if ($this->features_enabled):
		$xml_config .= '
			<!-- Features -->
			<field type="spacer" label="TPL_BT_FEATURES_HEADER" />
			<field name="features_modules" type="layoutmodules" label="" default="'.$this->features_modules_for_params.'" />
			<field name="features_grid" type="layoutgrid" label="" default="'.$this->features_grid_for_params.'" />
		';
		endif;
			
		if ($this->utility_enabled):
		$xml_config .= '
			<!-- Utility -->
			<field type="spacer" label="TPL_BT_UTILITY_HEADER" />
			<field name="utility_modules" type="layoutmodules" label="" default="'.$this->utility_modules_for_params.'" />
			<field name="utility_grid" type="layoutgrid" label="" default="'.$this->utility_grid_for_params.'" />
		';
		endif;
			
		if ($this->bottomup_enabled):
		$xml_config .= '
			<!-- BottomUp -->
			<field type="spacer" label="TPL_BT_BOTTOMUP_HEADER" />
			<field name="bottomup_modules" type="layoutmodules" label="" default="'.$this->bottomup_modules_for_params.'" />
			<field name="bottomup_grid" type="layoutgrid" label="" default="'.$this->bottomup_grid_for_params.'" />
		';
		endif;
		
		if ($this->bottomdown_enabled):
		$xml_config .= '
			<!-- BottomDown -->
			<field type="spacer" label="TPL_BT_BOTTOMDOWN_HEADER" />
			<field name="bottomdown_modules" type="layoutmodules" label="" default="'.$this->bottomdown_modules_for_params.'" />
			<field name="bottomdown_grid" type="layoutgrid" label="" default="'.$this->bottomdown_grid_for_params.'" />
		';
		endif;
			
		if ($this->footerup_enabled):
		$xml_config .= '
			<!-- FooterUp -->
			<field type="spacer" label="TPL_BT_FOOTERUP_HEADER" />
			<field name="footerup_modules" type="layoutmodules" label="" default="'.$this->footerup_modules_for_params.'" />
			<field name="footerup_grid" type="layoutgrid" label="" default="'.$this->footerup_grid_for_params.'" />
		';
		endif;
			
		if ($this->footerdown_enabled):
		$xml_config .= '
			<!-- FooterDown -->
			<field type="spacer" label="TPL_BT_FOOTERDOWN_HEADER" />
			<field name="footerdown_modules" type="layoutmodules" label="" default="'.$this->footerdown_modules_for_params.'" />
			<field name="footerdown_grid" type="layoutgrid" label="" default="'.$this->footerdown_grid_for_params.'" />
		';
		endif;

		$xml_config .= '
			<!-- END: Layout -->
		';
			
		$xml_config .= '
			<!-- BEGIN: Custom Code -->
            <field type="spacer" label="TPL_BT_CUSTOM_CODE_HEADER" />
			<field name="after_head" type="textarea" default="" label="TPL_BT_AFTER_HEAD_LBL" description="" rows="10" cols="5" filter="raw"/>		
			<field name="before_head" type="textarea" default="" label="TPL_BT_BEFORE_HEAD_LBL" description="" rows="10" cols="5" filter="raw"/>		
			<field name="after_body" type="textarea" default="" label="TPL_BT_AFTER_BODY_LBL" description="" rows="10" cols="5" filter="raw"/>		
			<field name="before_body" type="textarea" default="" label="TPL_BT_BEFORE_BODY_LBL" description="" rows="10" cols="5" filter="raw"/>		
			<!-- END: Custom Code -->
			
			<!-- Template Tools -->
            <field type="spacer" label="TPL_BT_TEMPLATE_TOOLS_HEADER" />
			';

		if ($this->footer_enabled):
		$xml_config .= '
			<field type="spacer" label="TPL_BT_FOOTER_HEADER" />
			<field name="footer_modules" type="layoutmodules" label="" default="'.$this->footer_modules_for_params.'" />
			<field name="footer_grid" type="layoutgrid" label="" default="'.$this->footer_grid_for_params.'" />
		';
		endif;

		$xml_config .= '
			<!-- BEGIN: Copyright -->
            <field type="spacer" label="TPL_BT_COPYRIGHT_ICN_HEADER" />
            <field name="display_copyright_icn" type="radio" class="btn-group" default="'.$this->display_copyright_icn_for_params.'" label="TPL_BT_DISPLAY_COPYRIGHT_ICN_LBL" description="TPL_BT_DISPLAY_COPYRIGHT_ICN_DESC">
               <option value="1">JYES</option>
               <option value="0">JNO</option>
            </field>
			<field name="copyright_icn" type="media" label="TPL_BT_COPYRIGHT_ICN_LBL" description="TPL_BT_COPYRIGHT_ICN_DESC" />
			<field name="copyright_link" type="text" size="60" default="" label="TPL_BT_COPYRIGHT_LINK_LBL" description="TPL_BT_COPYRIGHT_LINK_DESC"></field>
			<!-- END: Copyright -->

			<!-- BEGIN: Scroll to TOP -->
            <field type="spacer" label="TPL_BT_SCROLL_TO_TOP_HEADER" />
            <field name="display_gotop" type="radio" class="btn-group" default="'.$this->display_gotop_for_params.'" label="TPL_BT_GO_TOP_BUTTON_LBL" description="TPL_BT_GO_TOP_BUTTON_DESC">
               <option value="1">JYES</option>
               <option value="0">JNO</option>
            </field>
			<field name="gotop_type" type="radio" default="'.$this->gotop_type_for_params.'" label="TPL_BT_GO_TOP_TYPE_LBL" description="TPL_BT_GO_TOP_TYPE_DESC">
               <option value="auto">TPL_BT_GO_TOP_TYPE_AUTO</option>
               <option value="fixed">TPL_BT_GO_TOP_TYPE_FIXED</option>
            </field>
			<!-- END: Scroll to TOP -->

			<!-- BEGIN: Copyright Message -->
            <field type="spacer" label="TPL_BT_COPYRIGHT_MESSAGE_HEADER" />
            <field name="display_copyright_message" type="radio" class="btn-group" default="'.$this->display_copyright_message_for_params.'" label="TPL_BT_DISPLAY_COPYRIGHT_MESSAGE_LBL" description="TPL_BT_DISPLAY_COPYRIGHT_MESSAGE_DESC">
               <option value="1">JYES</option>
               <option value="0">JNO</option>
            </field>
            <field name="copyright_message" type="textarea" default="Copyright &amp;copy; 2014 Joomla! template by BonusThemes.com. All Rights Reserved.&lt;br /&gt;&lt;a href=&quot;http://www.joomla.org&quot; target=&quot;_blank&quot;&gt;Joomla!&lt;/a&gt; is Free Software released under the &lt;a href=&quot;http://www.gnu.org/licenses/gpl-2.0.html&quot; target=&quot;_blank&quot;&gt;GNU General Public License&lt;/a&gt;." label="TPL_BT_COPYRIGHT_MESSAGE_LBL" description="TPL_BT_COPYRIGHT_MESSAGE_DESC" rows="5" cols="35" filter="raw" />
			<!-- END: Copyright Message -->
			
			</fieldset>
		</fields>
		</config>';
		
		return $xml_config;

	}

}
?>