<?php
defined('JPATH_BASE') or die;

require_once('elements_helper.php');

jimport('joomla.form.formfield');

class JFormFieldbonusframeworkinfo extends JFormField {
	
	protected $type = 'bonusframeworkinfo';

	// check if url exists
	function url_exists($url)
	{
		
		// curl method
		//if (!$fp = curl_init($url)):
			//return false;
		//endif;
		//return true;
		
		// default method
		$file_headers = @get_headers($url);
		if($file_headers[0] == 'HTTP/1.1 404 Not Found'):
			return false;
		else:
			return true;
		endif;
	}

	protected function getInput()
	{
		// BEGIN: get joomla version & insert some style
		JLoader::import( "joomla.version" );
		$version = new JVersion();
		if (!version_compare( $version->RELEASE, "2.5", "<=")) :
		   if (!defined("DS")) define("DS", DIRECTORY_SEPARATOR); //j3
			$relative_left = '-175px';
		else:
			$relative_left = '0';
		endif;
		// END: get joomla version & insert some style

		$html  = '';
		$html .= '<div style="position:relative;left:'.$relative_left.'">';

		// get current template version & creationDate
		$base_path = JPATH_PLUGINS.DS.'system'.DS.'bonusframework'.DS.'bonusframework.xml';

		$file_handle = fopen($base_path, "r");
		$data = fread($file_handle, 2048);
		preg_match('/<version>.*<\/version>/i', $data, $current_version);
		$current_version[0] = str_replace('<version>', '', $current_version[0]);
		$current_version[0] = str_replace('</version>', '', $current_version[0]);
		
		preg_match('/<creationDate>.*<\/creationDate>/i', $data, $current_creationDate);
		$current_creationDate[0] = str_replace('<creationDate>', '', $current_creationDate[0]);
		$current_creationDate[0] = str_replace('</creationDate>', '', $current_creationDate[0]);

		// get changelog & download path
		preg_match('/<name>.*<\/name>/i', $data, $name);
		$name[0] = str_replace('<name>', '', $name[0]);
		$name[0] = str_replace('</name>', '', $name[0]);
		$clean_name = str_replace('bt_','',$name[0]); // without prefix bt_
		$bt_name = $name[0]; //with prefix bt_

		$changelog_path = 'http://www.bonusthemes.com/demo/joomla25/master/plugins/system/bonusframework/changelog.html';
		$download_path = 'http://www.bonusthemes.com/extension-downloads.html';

		// get latest template version & creationDate from bonusthemes.com		
		$base_path = 'http://www.bonusthemes.com/demo/joomla25/master/plugins/system/bonusframework/bonusframework.xml';

		if ($this->url_exists($base_path)):
			$file_handle = fopen($base_path, "r");
			$data = fread($file_handle, 2048);
			preg_match('/<version>.*<\/version>/i', $data, $latest_version);
			$latest_version[0] = str_replace('<version>', '', $latest_version[0]);
			$latest_version[0] = str_replace('</version>', '', $latest_version[0]);
			
			preg_match('/<creationDate>.*<\/creationDate>/i', $data, $latest_creationDate);
			$latest_creationDate[0] = str_replace('<creationDate>', '', $latest_creationDate[0]);
			$latest_creationDate[0] = str_replace('</creationDate>', '', $latest_creationDate[0]);
			
			if ($current_version == $latest_version) :
				$html .= '<div class="bonus_frm_uptodate">Your current version is: '.$current_version[0].' ('.$current_creationDate[0].').<br />Your version is up to date. Congratulations!</div>';
			elseif ($current_version != $latest_version) :
				$current_version[0] = (!empty($current_version[0])) ? $current_version[0] : '1.0.0' ;
				$html .= '<div class="bonus_frm_notuptodate">Your current version is: '.$current_version[0].' ('.$current_creationDate[0].').<br /><span>You have to UPDATE your template to the latest version '.$latest_version[0].' ('.$latest_creationDate[0].')'.'!</span><br /><a href="'.$changelog_path.'" target="_blank">view the Changelog</a>&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;<a href="'.$download_path.'" target="_blank">go to Download Area</a></div>';
			endif;
		else:
			$html .= '<div class="bonus_frm_uptodate">Your version is up to date. Congratulations!</div>';
		endif;

		$html .= '<p class="bonus_frm_info"><strong>Bonus Framework</strong> is a <strong>free</strong>, clever joomla! plugin that helps our templates to be better and flexible. It has responsive design based on <strong><a href="http://getbootstrap.com/" target="_blank">bootstrap</a></strong>, structure for multiple colour skins, background images & patterns. Also, there are many useful template options in the back-end such as <strong><a href="https://www.google.com/fonts" target="_blank">Google font families</a></strong>, <strong>Sticky responsive menu</strong>, <strong>CSS and Javascript compression</strong>, <strong><a href="http://en.wikipedia.org/wiki/Right-to-left" target="_blank">RTL language</a></strong>, <strong>12 Grid Layout</strong>, <strong>Style Switcher</strong> and other amazing features. Finally, we support shortcode rules, like wordpress shortcode system, if you know. You can feel <strong>free</strong> to install and try our free joomla template, named <a href="http://www.bonusthemes.com/joomla-template/master.html" target="_blank"><strong>Master</strong></a>, to meet the Bonus Framework and see how easily it works. :)</p>';
		
		$img_path = JURI::root(true).'/plugins/system/bonusframework/elements/assets/images/bonusframework_templates/';
		$html .= '<div class="bonus_frm_templates">';
		$html .= '<h3>Bonus framework compatible templates</h3>';
		$html .= '<div class="bt_template"><img src="'.$img_path.'ilgusto.png" />ilgusto (coming soon)</div>';
		$html .= '<div class="bt_template"><img src="'.$img_path.'paros.png" />Paros (coming soon)</div>';
		$html .= '<div class="bt_template"><a href="http://www.bonusthemes.com/joomla-template/master.html" target="_blank"><img src="'.$img_path.'master.png" />Master</a></div>';
		$html .= '<div class="bt_template"><a href="http://www.bonusthemes.com/joomla-template/petcare.html" target="_blank"><img src="'.$img_path.'petcare.png" />Petcare</a></div>';
		$html .= '<div class="bt_template"><a href="http://www.bonusthemes.com/joomla-template/education.html" target="_blank"><img src="'.$img_path.'education.png" />Education</a></div>';
		$html .= '</div>';

		$html .= '</div>';

		return $html;		
	}
}
?>