<?php
/*ini_set('display_errors',1);
ini_set('display_startup_errors',1);
error_reporting(-1);*/

ini_set('display_errors',1);
error_reporting(E_ALL & ~E_NOTICE & ~E_STRICT & ~E_WARNING);

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' ); 

class BonusHelper {

  // skin switcher
  var $display_skin_switcher = "";

  // language type (LTR, RTL)
  var $lang_type = "";

  // template variables
  var $host = "";
  var $app = "";
  var $document = "";
  var $template_name = "";
  var $tmpl_params = "";
  var $skin = "";

  // bt logo
  var $display_copyright_icn = "";

  // copyright message
  var $display_copyright_message = "";
  var $copyright_message = "";

  // go top
  var $display_gotop = "";
  var $gotop_type = "";
  
  // get plugin parameters
  var $debug_mode_less = "";
  var $get_debug_mode_less = "";
  var $debug_mode = "";
  var $get_debug_mode = "";
  var $get_sample_content_type = "";
  var $div_border_color = "";
  var $mstyles = "";

  // params.ini array
  var $params_ini_arr = array();
  
  // cmd variables
  var $print_cmd = '';
  var $option_cmd = '';
  
  // mainbody on frontpage
  var $display_mainbody_on_frontpage = '';

  function __construct() {
	  	
    // get jimport
    jimport( 'joomla.application.module.helper' );
    jimport( 'joomla.filesystem.file' );
    jimport( 'joomla.environment.uri' );

    // cmd variables
    $this->print_cmd = JRequest::getCmd('print');
    $this->option_cmd = JRequest::getCmd('option');

    // default vars
    $this->host = JURI::root();
    $this->app = JFactory::getApplication();
    $this->document = JFactory::getDocument();
    $this->template_name = $this->app->getTemplate();

    // get template params
    $this->tmpl_params = $this->app->getTemplate(true)->params;

    // get copyright message
    $this->copyright_message = $this->tmpl_params->get("copyright_message", "Copyright &copy; 2007 - ".date('Y')." Joomla! template by BonusThemes.com. All Rights Reserved.<br /><a href=\"http://www.joomla.org\" target=\"_blank\">Joomla!</a> is Free Software released under the <a href=\"http://www.gnu.org/licenses/gpl-2.0.html\" target=\"_blank\">GNU General Public License</a>.");

    // get the current language type (LTR, RTL)
    $this->lang_type = $this->tmpl_params->get("lang_type", "ltr");

    // call config function
    $this->getConfig();

    // call modules function
    $this->getModules();
	
	// get plugin parameters
	$plugin = JPluginHelper::getPlugin('system', 'bonusframework');
	$parameteres = new JRegistry($plugin->params);
	
	// debug mode less
	$this->get_debug_mode_less = JRequest::getVar("debug_mode_less");
	if (!empty($this->get_debug_mode_less) && $this->get_debug_mode_less == 'on'):
		$this->debug_mode_less = 1;
	elseif (!empty($this->get_debug_mode_less) && $this->get_debug_mode_less == 'off'):
		$this->debug_mode_less = 0;
	else:
		$this->debug_mode_less = 0;
	endif;

	// debug mode
	$this->get_debug_mode = JRequest::getVar("debug_mode");
	if (!empty($this->get_debug_mode) && $this->get_debug_mode == 'on'):
		$this->debug_mode = 1;
	elseif (!empty($this->get_debug_mode) && $this->get_debug_mode == 'off'):
		$this->debug_mode = 0;
	else:
		$this->debug_mode = 0;
	endif;
	
	// sample content type
	$get_sample_content_type = JRequest::getVar("sample_content_type");
	$this->get_sample_content_type = (!empty($get_sample_content_type)) ? $get_sample_content_type : 'paragraph';
	$this->div_border_color = 0;
	$this->mstyles = 0;
	
	// params.ini array
	$this->params_ini_arr = $this->getParamsIni();
	
	// Display mainbody on frontpage?
	$this->display_mainbody_on_frontpage = $this->MainbodyOnFrontpage();

  }
  
  // Display mainbody on frontpage?
  function MainbodyOnFrontpage()
  {
	  	$display_mainbody_on_frontpage = '';
		
	    // current item id
	  	$get_itemid = JRequest::getVar("Itemid");
		
		// connect to db
		$db = JFactory::getDbo();
		
		// get template params from db
		$query = "SELECT id, home, published "
		."FROM #__menu "
		."WHERE home=1 AND published=1 "
		;
		$db->setQuery($query);
		$db->query();
		$item_id = $db->loadResult();
		
		if ($get_itemid == $item_id) :
			// home page
			$display_mainbody_on_frontpage_params = $this->tmpl_params->get("display_mainbody_on_frontpage");
			$display_mainbody_on_frontpage_for_params_ini = (!empty($this->params_ini_arr['display_mainbody_on_frontpage_for_params'])) ? $this->params_ini_arr['display_mainbody_on_frontpage_for_params'] : 1;
			$display_mainbody_on_frontpage = ($display_mainbody_on_frontpage_params != '') ? $display_mainbody_on_frontpage_params : $display_mainbody_on_frontpage_for_params_ini;
		else:
			// not home page
			$display_mainbody_on_frontpage = 1;
		endif;
		
		return $display_mainbody_on_frontpage;
  }
  
  // sample content typography for position
  function SampleContentPosition()
  {
	  include(BONUS_CORE_PATH.'/sample_content_position.php');
	  return $output;
  }
  
  // check if the module position is enabled
  function btCountModules($module, $name)
  {	
	  if (!$this->debug_mode) : 
		return $module->countModules($name);
	  else:
	  	return true;
	  endif;
  }

  // Check if modules are enabled, and return 1, or return 0 if is disabled
  function getConfig() {
	  
	// layout_type
    $this->layout_type = $this->tmpl_params->get("mainbody_modules", "left_main_right");
    $this->footer_layout_type = $this->tmpl_params->get("footer_modules", "copyrighticon_copyrightmessage_gotopicon");

    // bt skin switcher
    $this->display_skin_switcher = $this->tmpl_params->get("display_skin_switcher", "1");

   // go top
    $this->display_gotop = $this->tmpl_params->get("display_gotop", "1");
    $this->gotop_type = $this->tmpl_params->get("gotop_type", "auto");

    // bt logo
    $this->display_copyright_icn = $this->tmpl_params->get("display_copyright_icn", "1");

	// copyright message
    $this->display_copyright_message = $this->tmpl_params->get("display_copyright_message", "1");
	
    return $this;
  }

  // Get the code from all modules
  function getModules() {
	  
    // copyright icon
	$copyright_icn_src = $this->tmpl_params->get('copyright_icn');
	$copyright_link = $this->tmpl_params->get('copyright_link');
	if (!empty($copyright_icn_src)):
		$this->copyright_icn  = '';
    	$this->copyright_icn .= (!empty($copyright_link)) ? '<a href="'.$copyright_link.'">' : '';
    	$this->copyright_icn .= '<img src="'.$copyright_icn_src.'" />';
    	$this->copyright_icn .= (!empty($copyright_link)) ? '</a>' : '';
	else:
    	$this->copyright_icn = '<div class="bt_powered_by_logo bt_fade_img"><a href="http://www.bonusthemes.com/" title="" target="_blank"></a></div>';
	endif;
	
    // go top
	if ($this->gotop_type == "auto"):
    	$this->bt_gotop = '<div id="gotop_message" class="go_top_button_img"><a href="#" class="back-to-top"></a></div>';
	elseif ($this->gotop_type == "fixed"):
    	$this->bt_gotop = '<div class="go_top_button_img_fixed"><a href="#" class="back-to-top"></a></div>';
    endif;
  }
  
	function random_color_part() {
		return str_pad( dechex( mt_rand( 0, 255 ) ), 2, '0', STR_PAD_LEFT);
	}
	
	function random_color() {
		return $this->random_color_part() . $this->random_color_part() . $this->random_color_part();
	}

	function getModulePositionNew($module, $arr=array())
	{
		$html = "";
		
		if (!empty($arr)) :
			$module_names_arr = array_keys($arr);
			$spans_arr = array_values($arr);
		else:
			die("ERROR: empty array");
		endif;
		
		// BEGIN: if array is unique e.g. Array ( [0] => breadcrumbs1 )
		if (count($module_names_arr)==1):
			$module_names_arr_one_item = array();
			foreach ($module_names_arr as $module_name):
				if ($module_name=='breadcrumbs1'):
					$module_names_arr_one_item[] = str_replace('1', '', $module_name);
				else:
					$module_names_arr_one_item[] = $module_name;
				endif;
			endforeach;
			$module_names_arr = $module_names_arr_one_item;
		endif;
		// END: if array is unique;
		
		// begin: find enabled modules
		$enabled_modules=0;
		for ($i=0;$i<count($arr);$i++):
			if ($this->btCountModules($module, $module_names_arr[$i])):
				$enabled_modules++;
			endif;
		endfor;
		// end: find enabled modules
		
		// begin: load each position
		$mods_in_a_row = 1;
		for ($i=0;$i<count($arr);$i++):

			if ($this->btCountModules($module, $module_names_arr[$i]) || $module_names_arr[$i] == 'mainbody' || $module_names_arr[$i] == 'copyrighticon' || $module_names_arr[$i] == 'copyrightmessage' || $module_names_arr[$i] == 'gotopicon'):
			
				$random_border_color = ($this->debug_mode && $this->div_border_color) ? ' style="border:2px solid #'.$this->random_color().'"' : '';
				$mstyles = ($this->debug_mode && $this->mstyles) ? ' style="border:2px solid #'.$this->random_color().'"' : '';
				
				$html .= "\n";
				
				// BEGIN: calculate which module is first and which last
				if ($enabled_modules > 1):
					if (($i+1) == 1 || ($module_names_arr[$i] == "inset_left" || $module_names_arr[$i] == "inset_right")):
						
						if ($module_names_arr[$i] == "left"):
							$first_last_module = 'bt_first_mod_col_left';
						elseif ($module_names_arr[$i] == "right"):
							$first_last_module = 'bt_first_mod_col_right';
						elseif ($module_names_arr[$i] == "inset_left"):
							$first_last_module = 'bt_first_mod_col_inset_left';
						elseif ($module_names_arr[$i] == "inset_right"):
							$first_last_module = 'bt_first_mod_col_inset_right';
						else: 
							$first_last_module = 'bt_first_mod';
						endif;

					elseif (($i+1) == ($enabled_modules)):
					
						if ($module_names_arr[$i] == "left"):
							$first_last_module = 'bt_last_mod_col_left';
						elseif ($module_names_arr[$i] == "right"):
							$first_last_module = 'bt_last_mod_col_right';
						elseif ($module_names_arr[$i] == "inset_left"):
							$first_last_module = 'bt_last_mod_col_inset_left';
						elseif ($module_names_arr[$i] == "inset_right"):
							$first_last_module = 'bt_last_mod_col_inset_right';
						else: 
							$first_last_module = 'bt_last_mod';
						endif;
						
					else:
					
						$first_last_module = 'bt_default_mod';
					
					endif;
					
				else:
				
					$first_last_module = 'bt_base_mod';
					
				endif;
				// END: calculate which module is first and which last
				
				$html .= "         <!-- BEGIN: ".$module_names_arr[$i]." -->"."\n";
				$html .= "         <div class=\"bt_parent_area ".$first_last_module." bt_".$module_names_arr[$i]." ".$spans_arr[$i]."\"".$random_border_color.">"."\n";
				
				// BEGIN: "news" positions over mainbody
				if ($module_names_arr[$i] == 'mainbody'):
					$news_modules_params = $this->tmpl_params->get("news_modules");
					$news_grid_params = $this->tmpl_params->get("news_grid"); 
					$news_modules = (!empty($news_modules_params)) ? $news_modules_params : $this->params_ini_arr['news_modules'];
					$html .= $this->loadBlock($module, 'news', $news_modules);
				endif;
				// END: "news" positions over mainbody
				
				$html .= "            <div class=\"bt_sub_area bt_sub_".$module_names_arr[$i]."\">"."\n";

				if (!$this->debug_mode) :
					if ($module_names_arr[$i] != 'mainbody' && $module_names_arr[$i] != 'copyrighticon' && $module_names_arr[$i] != 'copyrightmessage' && $module_names_arr[$i] != 'gotopicon'):
					
						$html .= "               <jdoc:include type=\"modules\" name=\"".$module_names_arr[$i]."\" style=\"BTxhtml\" />"."\n";
					
					elseif ($module_names_arr[$i] == 'copyrighticon'):
						
						if ($this->display_copyright_icn) :
							
							$html .= '
							<div class="bt_copyright_icon">
								<div class="bt_sub_copyright_icon">
									'.$this->copyright_icn.'
								</div>
							</div>'."\n";
					
						endif;
					
					elseif ($module_names_arr[$i] == 'copyrightmessage'):
					
						if ($this->display_copyright_message && !empty($this->copyright_message)) :
							
							$html .= '
							<div class="bt_copyright_message">
								<div class="bt_sub_copyright_message">
									'.$this->copyright_message.'
								</div>
							</div>'."\n";
					
						endif;
					
					elseif ($module_names_arr[$i] == 'gotopicon'):
					
						if ($this->display_gotop && $this->gotop_type=="fixed") :
							
							$html .= '
							<div class="bt_gotop">
								<div class="bt_sub_gotop">
									'.$this->bt_gotop.'
								</div>
							</div>'."\n";
					
						endif;
					
					elseif ($module_names_arr[$i] == 'mainbody'):
					
						$html .= "               <jdoc:include type=\"message\" /><jdoc:include type=\"component\" />"."\n";
					
					endif;
				else:
					
					$get_mstyles_counter_for_typo = JRequest::getVar("mstyle");
					$get_mstyles_counter_for_typo = (!empty($get_mstyles_counter_for_typo)) ? $get_mstyles_counter_for_typo : '';
					$mstyles_counter_for_typo = (!empty($get_mstyles_counter_for_typo)) ? $get_mstyles_counter_for_typo : 4;
					$mstyles_counter_for_typo_start = (!empty($get_mstyles_counter_for_typo)) ? $get_mstyles_counter_for_typo : 1;
					$ms_counter = ($this->mstyles) ? $mstyles_counter_for_typo : 0;
					// BEGIN: sample module style
					for ($module_style_test = 1; $module_style_test <=3; $module_style_test++):
					
					
					if ($this->get_sample_content_type == 'sample_text'):
					
						// sample text

						$html .= "<strong>".$module_names_arr[$i]."</strong>"."\n";
						$html .= $this->SampleContentPosition();
					
					else:

						// moduletable
						$html .= '
						<div class="bt_moduletable">
	
							<div class="icon_a" style="display:none">&nbsp;</div>
							
							<h3 class="bt">
								<span class="btmstyle">
									<span class="title_arrow">
										<span class="first-word">Sample</span> Module
									</span>
									<span class="arrow">&nbsp;</span>
								</span>
							</h3>
							
							<div class="module_content">
								<div>
									<div class="custom">';
							$html .= ($this->get_sample_content_type=='paragraph_with_heading') ? "<h3>".$module_names_arr[$i]."</h3>"."\n" : '';
							$html .= "<strong>".$module_names_arr[$i]."</strong>"."\n";
							$html .= $this->SampleContentPosition();
									
									$html .= '
									</div>
								</div>
							</div>
							
							<div class="icon_b" style="display:none">&nbsp;</div>
						
						</div>
						';
						
					endif;
					endfor;
					
					// END: sample module style
					for ($ms=$mstyles_counter_for_typo_start;$ms<=$ms_counter;$ms++):
						if ($this->mstyles):
							$html .= '
							<div class="bt_moduletable bt_mstyle'.$ms.'">
		
								<div class="icon_a" style="display:none">&nbsp;</div>
								
								<h3 class="bt">
									<span class="btmstyle">
										<span class="title_arrow">
											<span class="first-word">Sample </span>_btmstyle'.$ms.'
										</span>
										<span class="arrow">&nbsp;</span>
									</span>
								</h3>
								
								<div class="module_content">
									<div>
										<div class="custom_btmstyle'.$ms.'">
							';
						endif;
					
						$html .= ($this->get_sample_content_type=='paragraph_with_heading') ? "<h3>".$module_names_arr[$i]."</h3>"."\n" : '';
						$html .= "<strong>".$module_names_arr[$i]."</strong>"."\n";
						$html .= $this->SampleContentPosition();
					
						if ($mstyles):
							$html .= '
										</div>
									</div>
								</div>
								
								<div class="icon_b" style="display:none">&nbsp;</div>
							
							</div>
							';
						endif;
					endfor;
					
				endif;

				$html .= "            </div><!-- .bt_sub_area .bt_sub_".$module_names_arr[$i]." -->"."\n";

				// BEGIN: "banner" positions over mainbody
				if ($module_names_arr[$i] == 'mainbody'):
					$banner_modules_params = $this->tmpl_params->get("banner_modules");
					$banner_grid_params = $this->tmpl_params->get("banner_grid"); 
					$banner_modules = (!empty($banner_modules_params)) ? $banner_modules_params : $this->params_ini_arr['banner_modules'];
					$html .= $this->loadBlock($module, 'banner', $banner_modules);
				endif;
				// END: "banner" positions over mainbody

				$html .= "         </div><!-- .bt_parent_area .bt_".$module_names_arr[$i]." -->"."\n";
				$html .= '         <!-- END: '.$module_names_arr[$i].' -->'."\n";
			
			$mods_in_a_row++;
			endif;
			
		endfor;
		// end: load each position
		
		return $html;

	}//endf
  
  function loadBlock($module, $name, $pos_count) 
  {

		// set empty variables
		for ($i=1;$i<=$pos_count;$i++):
			${$name.$i.'_width'} = '';
		endfor;
		
		// BEGIN: calculate the width of each position
		$pos_line_modules_params = $this->tmpl_params->get($name."_modules"); // top_modules params e.g. columns_3
		$pos_line_grid_params = $this->tmpl_params->get($name."_grid"); // top_grid params, e.g. 3|6|3
		$pos_line_grid_params_arr = explode('|', $pos_line_grid_params); // array 
		$pos_line_grid_params_arr = array_combine(range(1, count($pos_line_grid_params_arr)), $pos_line_grid_params_arr); // start from 1 instead of 0
		
		for ($i=1;$i<=count($pos_line_grid_params_arr);$i++):
			${$name.$i.'_width'} = $pos_line_grid_params_arr[$i]; // e.g. top_1_width = 12
		endfor;
		// END: calculate the width of each position
			
		// create the position array
	    $btCountModules = 0;
	    $positions_arr = array();
				
		for ($i=1;$i<=$pos_count;$i++):

			// check if at least 1 of 6 module is enabled
			if ($name == 'breadcrumbs' && $pos_count == 1):
				if ($this->btCountModules($module, $name)) :
					$btCountModules++;
				endif;
			elseif ($name != 'breadcrumbs' && $pos_count == 1):
				if ($this->btCountModules($module, $name.$i)) :
					$btCountModules++;
				endif;
			else:
				if ($this->btCountModules($module, $name.$i)) :
					$btCountModules++;
				endif;
			endif;
			
		endfor;
		
		// Calculate widths
	    for ($i=1;$i<=$pos_count;$i++):

			// Calculate grid widths from params
			$col_lg_width = ${$name.$i.'_width'};
			$col_md_width = ${$name.$i.'_width'};
			$col_lg = (!empty($col_lg_width)) ? $col_lg_width : 12;
			$col_md = (!empty($col_md_width)) ? $col_md_width : 12;
			$col_sm = 12;
			$col_xs = 12;
			
			// Check if the count of modules are the same with the count of published modules. If not, divide.
			if ($pos_count != $btCountModules && $btCountModules > 0) :
				$col_lg = 12/$btCountModules;
				$col_md = 12/$btCountModules;
			endif;
			//echo '<hr>count arr='.$btCountModules.'xxx'; // oi dimosieumenes px 3
			//echo 'pos_count='.$pos_count.'xxx'; // to synolo sto ini, px 4
		
			$positions_arr[$name.$i] = 'col-lg-'.$col_lg.' col-md-'.$col_md.' col-sm-'.$col_sm.' col-xs-'.$col_xs.'';
		endfor;
		
		$html  = '';
		// begin load block div
		if (($btCountModules > 0 && $this->params_ini_arr[$name.'_enabled'])): // check if there is at least one module published and the line is enabled from params.ini
			
			// do not insert "container" class for news & banner modules
			$container_class = ($name != 'news' && $name != 'banner') ? 'container ' : '';
			
			$html .= '<!-- BEGIN: '.$name.' -->'."\n";
			$html .= '<div class="bt_'.$name.'_outer_top_out"><div class="bt_'.$name.'_outer_top_in"></div></div>'."\n";
			$html .= '<div class="bt_'.$name.'_outer">'."\n";
			$html .= '<div class="bt_'.$name.'_inner">'."\n";
			$html .= '   <div class="'.$container_class.'bt_'.$name.'_container">'."\n";
			$html .= '      <div class="row bt_'.$name.'_row">'."\n";
			$html .= $this->getModulePositionNew($module, $positions_arr)."\n";
			$html .= '      </div><!-- .bt_'.$name.'_row -->'."\n";
			$html .= '   </div><!-- .bt_'.$name.'_container -->'."\n";
			$html .= '</div><!-- .bt_'.$name.'_inner -->'."\n";
			$html .= '</div><!-- .bt_'.$name.'_outer -->'."\n";
			$html .= '<div class="bt_'.$name.'_outer_bottom_out"><div class="bt_'.$name.'_outer_bottom_in"></div></div>'."\n";
			$html .= '<!-- END: '.$name.' -->'."\n\n\n";
	   
		endif;

		return $html;
  }
  
	function getColsClass($module, $name, $layout_type)
	{
		$pos_line_modules_params = $this->tmpl_params->get("mainbody_modules"); // top_modules params e.g. columns_3
		$pos_line_grid_params = $this->tmpl_params->get("mainbody_grid"); // top_grid params, e.g. 3|6|3
		$pos_line_grid_params_arr = explode('|', $pos_line_grid_params); // array 
		$pos_line_grid_params_arr = array_combine(range(1, count($pos_line_grid_params_arr)), $pos_line_grid_params_arr); // start from 1 instead of 0

		// Calculate grid widths from params
		$col_lg = 12;
		$col_md = 12;
		$col_sm = 12;
		$col_xs = 12;
		
		if (!empty($pos_line_grid_params_arr[1])) :
			
			// left
			if ($layout_type == 'left' && $name == 'left') :
				$col_lg = $pos_line_grid_params_arr[1];
				$col_md = $pos_line_grid_params_arr[1];
			elseif ($layout_type == 'left' && $name == 'mainbody') :
				$col_lg = ($this->btCountModules($module, 'left')) ? $pos_line_grid_params_arr[2] : 12;
				$col_md = ($this->btCountModules($module, 'left')) ? $pos_line_grid_params_arr[2] : 12;
			
			// right
			elseif ($layout_type == 'right' && $name == 'right') :
				$col_lg = $pos_line_grid_params_arr[2];
				$col_md = $pos_line_grid_params_arr[2];
			elseif ($layout_type == 'right' && $name == 'mainbody') :
				$col_lg = ($this->btCountModules($module, 'right')) ? $pos_line_grid_params_arr[1] : 12;
				$col_md = ($this->btCountModules($module, 'right')) ? $pos_line_grid_params_arr[1] : 12;
			
			// double_left
			elseif ($layout_type == 'double_left' && $name == 'left') :
				
				if ($this->btCountModules($module, 'left') && $this->btCountModules($module, 'inset_left')):
					$col_lg = $pos_line_grid_params_arr[1];
					$col_md = $pos_line_grid_params_arr[1];
				elseif ($this->btCountModules($module, 'left') && !$this->btCountModules($module, 'inset_left')):
					$col_lg = 6;
					$col_md = 6;
				elseif (!$this->btCountModules($module, 'left') && $this->btCountModules($module, 'inset_left')):
					$col_lg = 6;
					$col_md = 6;
				endif;
				
			elseif ($layout_type == 'double_left' && $name == 'inset_left') :
				
				if ($this->btCountModules($module, 'left') && $this->btCountModules($module, 'inset_left')):
					$col_lg = $pos_line_grid_params_arr[2];
					$col_md = $pos_line_grid_params_arr[2];
				elseif ($this->btCountModules($module, 'left') && !$this->btCountModules($module, 'inset_left')):
					$col_lg = 6;
					$col_md = 6;
				elseif (!$this->btCountModules($module, 'left') && $this->btCountModules($module, 'inset_left')):
					$col_lg = 6;
					$col_md = 6;
				endif;
				
			elseif ($layout_type == 'double_left' && $name == 'mainbody') :
				
				if ($this->btCountModules($module, 'left') && $this->btCountModules($module, 'inset_left')):
					$col_lg = $pos_line_grid_params_arr[3];
					$col_md = $pos_line_grid_params_arr[3];
				elseif ($this->btCountModules($module, 'left') && !$this->btCountModules($module, 'inset_left')):
					$col_lg = 6;
					$col_md = 6;
				elseif (!$this->btCountModules($module, 'left') && $this->btCountModules($module, 'inset_left')):
					$col_lg = 6;
					$col_md = 6;
				elseif (!$this->btCountModules($module, 'left') && !$this->btCountModules($module, 'inset_left')):
					$col_lg = 12;
					$col_md = 12;
				endif;
			
			
			// double_right
			elseif ($layout_type == 'double_right' && $name == 'right') :
				
				if ($this->btCountModules($module, 'right') && $this->btCountModules($module, 'inset_right')):
					$col_lg = $pos_line_grid_params_arr[3];
					$col_md = $pos_line_grid_params_arr[3];
				elseif ($this->btCountModules($module, 'right') && !$this->btCountModules($module, 'inset_right')):
					$col_lg = 6;
					$col_md = 6;
				elseif (!$this->btCountModules($module, 'right') && $this->btCountModules($module, 'inset_right')):
					$col_lg = 6;
					$col_md = 6;
				endif;
				
			elseif ($layout_type == 'double_right' && $name == 'inset_right') :
				
				if ($this->btCountModules($module, 'right') && $this->btCountModules($module, 'inset_right')):
					$col_lg = $pos_line_grid_params_arr[2];
					$col_md = $pos_line_grid_params_arr[2];
				elseif ($this->btCountModules($module, 'right') && !$this->btCountModules($module, 'inset_right')):
					$col_lg = 6;
					$col_md = 6;
				elseif (!$this->btCountModules($module, 'right') && $this->btCountModules($module, 'inset_right')):
					$col_lg = 6;
					$col_md = 6;
				endif;
				
			elseif ($layout_type == 'double_right' && $name == 'mainbody') :
				
				if ($this->btCountModules($module, 'right') && $this->btCountModules($module, 'inset_right')):
					$col_lg = $pos_line_grid_params_arr[1];
					$col_md = $pos_line_grid_params_arr[1];
				elseif ($this->btCountModules($module, 'right') && !$this->btCountModules($module, 'inset_right')):
					$col_lg = 6;
					$col_md = 6;
				elseif (!$this->btCountModules($module, 'right') && $this->btCountModules($module, 'inset_right')):
					$col_lg = 6;
					$col_md = 6;
				elseif (!$this->btCountModules($module, 'right') && !$this->btCountModules($module, 'inset_right')):
					$col_lg = 12;
					$col_md = 12;
				endif;
			
			// left_main_right
			elseif ($layout_type == 'left_main_right' && $name == 'left') :

				if ($this->btCountModules($module, 'left') && $this->btCountModules($module, 'right')):
					$col_lg = $pos_line_grid_params_arr[1];
					$col_md = $pos_line_grid_params_arr[1];
				elseif ($this->btCountModules($module, 'left') && !$this->btCountModules($module, 'right')):
					$col_lg = 6;
					$col_md = 6;
				elseif (!$this->btCountModules($module, 'left') && $this->btCountModules($module, 'right')):
					$col_lg = 6;
					$col_md = 6;
				endif;
				
			elseif ($layout_type == 'left_main_right' && $name == 'mainbody') :

				if ($this->btCountModules($module, 'left') && $this->btCountModules($module, 'right')):
					$col_lg = $pos_line_grid_params_arr[2];
					$col_md = $pos_line_grid_params_arr[2];
				elseif ($this->btCountModules($module, 'left') && !$this->btCountModules($module, 'right')):
					$col_lg = 6;
					$col_md = 6;
				elseif (!$this->btCountModules($module, 'left') && $this->btCountModules($module, 'right')):
					$col_lg = 6;
					$col_md = 6;
				elseif (!$this->btCountModules($module, 'left') && !$this->btCountModules($module, 'right')):
					$col_lg = 12;
					$col_md = 12;
				endif;
			
			elseif ($layout_type == 'left_main_right' && $name == 'right') :
			
				if ($this->btCountModules($module, 'left') && $this->btCountModules($module, 'right')):
					$col_lg = $pos_line_grid_params_arr[3];
					$col_md = $pos_line_grid_params_arr[3];
				elseif ($this->btCountModules($module, 'left') && !$this->btCountModules($module, 'right')):
					$col_lg = 6;
					$col_md = 6;
				elseif (!$this->btCountModules($module, 'left') && $this->btCountModules($module, 'right')):
					$col_lg = 6;
					$col_md = 6;
				endif;
			
			// only_main
			elseif ($layout_type == 'only_main' && $name == 'mainbody') :
				$col_lg = $pos_line_grid_params_arr[1];
				$col_md = $pos_line_grid_params_arr[1];
			
			// other
			else:
				$col_lg = 12;
				$col_md = 12;
			endif;
		
		// default: if parameters not saved
		else:
			$col_lg = 4;
			$col_md = 4;
		endif;
		
		$cols = 'col-lg-'.$col_lg.' col-md-'.$col_md.' col-sm-'.$col_sm.' col-xs-'.$col_xs; 
		
		return $cols;
	}

	function getColsClassFooter($module, $name, $footer_layout_type)
	{
		$pos_line_modules_params = $this->tmpl_params->get("footer_modules"); // top_modules params e.g. columns_3
		$pos_line_grid_params = $this->tmpl_params->get("footer_grid"); // top_grid params, e.g. 3|6|3
		$pos_line_grid_params_arr = explode('|', $pos_line_grid_params); // array 
		$pos_line_grid_params_arr = array_combine(range(1, count($pos_line_grid_params_arr)), $pos_line_grid_params_arr); // start from 1 instead of 0

		// Calculate grid widths from params
		$col_lg = 12;
		$col_md = 12;
		$col_sm = 12;
		$col_xs = 12;
		
		if (!empty($pos_line_grid_params_arr[1])) :
			
			// copyrighticon_copyrightmessage
			if ($footer_layout_type == 'copyrighticon_copyrightmessage' && $name == 'copyrighticon') :
			
				$col_lg = $pos_line_grid_params_arr[1];
				$col_md = $pos_line_grid_params_arr[1];
				
			elseif ($footer_layout_type == 'copyrighticon_copyrightmessage' && $name == 'copyrightmessage') :
			
				$col_lg = $pos_line_grid_params_arr[2];
				$col_md = $pos_line_grid_params_arr[2];

			// copyrighticon_gotopicon
			elseif ($footer_layout_type == 'copyrighticon_gotopicon' && $name == 'copyrighticon') :
			
				$col_lg = $pos_line_grid_params_arr[1];
				$col_md = $pos_line_grid_params_arr[1];
				
			elseif ($footer_layout_type == 'copyrighticon_gotopicon' && $name == 'gotopicon') :
			
				$col_lg = $pos_line_grid_params_arr[2];
				$col_md = $pos_line_grid_params_arr[2];

			// copyrightmessage_gotopicon
			elseif ($footer_layout_type == 'copyrightmessage_gotopicon' && $name == 'copyrightmessage') :
			
				$col_lg = $pos_line_grid_params_arr[1];
				$col_md = $pos_line_grid_params_arr[1];
				
			elseif ($footer_layout_type == 'copyrightmessage_gotopicon' && $name == 'gotopicon') :
			
				$col_lg = $pos_line_grid_params_arr[2];
				$col_md = $pos_line_grid_params_arr[2];
			
			// copyrighticon_copyrightmessage_gotopicon
			elseif ($footer_layout_type == 'copyrighticon_copyrightmessage_gotopicon' && $name == 'copyrighticon') :
					
					$col_lg = $pos_line_grid_params_arr[1];
					$col_md = $pos_line_grid_params_arr[1];
				
			elseif ($footer_layout_type == 'copyrighticon_copyrightmessage_gotopicon' && $name == 'copyrightmessage') :

					$col_lg = $pos_line_grid_params_arr[2];
					$col_md = $pos_line_grid_params_arr[2];
			
			elseif ($footer_layout_type == 'copyrighticon_copyrightmessage_gotopicon' && $name == 'gotopicon') :
			
					$col_lg = $pos_line_grid_params_arr[3];
					$col_md = $pos_line_grid_params_arr[3];
			
			// copyrighticon
			elseif ($footer_layout_type == 'copyrighticon' && $name == 'copyrighticon') :
			
				$col_lg = $pos_line_grid_params_arr[1];
				$col_md = $pos_line_grid_params_arr[1];

			// copyrightmessage
			elseif ($footer_layout_type == 'copyrightmessage' && $name == 'copyrightmessage') :
			
				$col_lg = $pos_line_grid_params_arr[1];
				$col_md = $pos_line_grid_params_arr[1];

			// gotopicon
			elseif ($footer_layout_type == 'gotopicon' && $name == 'gotopicon') :
			
				$col_lg = $pos_line_grid_params_arr[1];
				$col_md = $pos_line_grid_params_arr[1];
			
			// other
			else:
				$col_lg = 12;
				$col_md = 12;
			endif;
		
		// default: if parameters not saved
		else:
			$col_lg = 4;
			$col_md = 4;
		endif;
		
		$cols = 'col-lg-'.$col_lg.' col-md-'.$col_md.' col-sm-'.$col_sm.' col-xs-'.$col_xs; 
		
		return $cols;
	}

  function loadMain($module, $name, $layout_type) 
  {
		$html  = '';

	  	// left
	    if ($layout_type=='left'):
		
			$positions_arr = array("left" => $this->getColsClass($module, 'left', 'left'), "mainbody" => $this->getColsClass($module, 'mainbody', 'left'));	
		
	  	// right
		elseif ($layout_type=='right'):
		
			$positions_arr = array("mainbody" => $this->getColsClass($module, 'mainbody', 'right'), "right" => $this->getColsClass($module, 'right', 'right'));	
		
	  	// double_left
		elseif ($layout_type=='double_left'):
		
			$positions_arr = array("left" => $this->getColsClass($module, 'left', 'double_left'), "inset_left" => $this->getColsClass($module, 'inset_left', 'double_left'), "mainbody" => $this->getColsClass($module, 'mainbody', 'double_left'));		
		
	  	// double_right
		elseif ($layout_type=='double_right'):
		
			$positions_arr = array("mainbody" => $this->getColsClass($module, 'mainbody', 'double_right'), "inset_right" => $this->getColsClass($module, 'inset_right', 'double_right'), "right" => $this->getColsClass($module, 'right', 'double_right'));
					
	  	// left_main_right
		elseif ($layout_type=='left_main_right'):
		
			$positions_arr = array("left" => $this->getColsClass($module, 'left', 'left_main_right'), "mainbody" => $this->getColsClass($module, 'mainbody', 'left_main_right'), "right" => $this->getColsClass($module, 'right', 'left_main_right'));		
		
	  	// only_main
		elseif ($layout_type=='only_main'):
		
			$positions_arr = array("mainbody" => $this->getColsClass($module, 'mainbody', 'only_main'));		
		
		endif;
		
		if (($this->params_ini_arr['mainbody_enabled'])):

			$html .= '<!-- BEGIN: '.$name.' -->'."\n";
			$html .= '<div class="bt_'.$name.'_outer_top_out"><div class="bt_'.$name.'_outer_top_in"></div></div>'."\n";
			$html .= '<div class="bt_'.$name.'_outer">'."\n";
			$html .= '<div class="bt_'.$name.'_inner">'."\n";
			$html .= '   <div class="container bt_'.$name.'_container">'."\n";
			$html .= '      <div class="row bt_'.$name.'_row">'."\n";
			$html .= $this->getModulePositionNew($module, $positions_arr)."\n";
			$html .= '      </div><!-- .bt_'.$name.'_row -->'."\n";
			$html .= '   </div><!-- .bt_'.$name.'_container -->'."\n";
			$html .= '</div><!-- .bt_'.$name.'_inner -->'."\n";
			$html .= '</div><!-- .bt_'.$name.'_outer -->'."\n";
			$html .= '<div class="bt_'.$name.'_outer_bottom_out"><div class="bt_'.$name.'_outer_bottom_in"></div></div>'."\n";
			$html .= '<!-- END: '.$name.' -->'."\n\n\n";
			
		endif;
		
		return $html;
  }  

  function loadFooter($module, $name, $footer_layout_type) 
  {
		$html  = '';

	  	// copyrighticon + copyrightmessage + gotopicon
	    if ($footer_layout_type=='copyrighticon_copyrightmessage_gotopicon'):
		
			$positions_arr = array(
			"copyrighticon" => $this->getColsClassFooter($module, 'copyrighticon', 'copyrighticon_copyrightmessage_gotopicon'), 
			"copyrightmessage" => $this->getColsClassFooter($module, 'copyrightmessage', 'copyrighticon_copyrightmessage_gotopicon'), 
			"gotopicon" => $this->getColsClassFooter($module, 'gotopicon', 'copyrighticon_copyrightmessage_gotopicon')
			);		
		
	  	// copyrighticon + copyrightmessage
		elseif ($footer_layout_type=='copyrighticon_copyrightmessage'):
		
			$positions_arr = array(
			"copyrighticon" => $this->getColsClassFooter($module, 'copyrighticon', 'copyrighticon_copyrightmessage'), 
			"copyrightmessage" => $this->getColsClassFooter($module, 'copyrightmessage', 'copyrighticon_copyrightmessage')
			);	

	  	// copyrighticon + gotopicon
		elseif ($footer_layout_type=='copyrighticon_gotopicon'):
		
			$positions_arr = array(
			"copyrighticon" => $this->getColsClassFooter($module, 'copyrighticon', 'copyrighticon_gotopicon'), 
			"gotopicon" => $this->getColsClassFooter($module, 'gotopicon', 'copyrighticon_gotopicon')
			);	

	  	// copyrightmessage + gotopicon
		elseif ($footer_layout_type=='copyrightmessage_gotopicon'):
		
			$positions_arr = array(
			"copyrightmessage" => $this->getColsClassFooter($module, 'copyrightmessage', 'copyrightmessage_gotopicon'), 
			"gotopicon" => $this->getColsClassFooter($module, 'gotopicon', 'copyrightmessage_gotopicon')
			);	

	  	// copyrighticon
		elseif ($footer_layout_type=='copyrighticon'):
		
			$positions_arr = array(
			"copyrighticon" => $this->getColsClassFooter($module, 'copyrighticon', 'copyrighticon')
			);	

	  	// copyrightmessage
		elseif ($footer_layout_type=='copyrightmessage'):
		
			$positions_arr = array(
			"copyrightmessage" => $this->getColsClassFooter($module, 'copyrightmessage', 'copyrightmessage')
			);	

	  	// gotopicon
		elseif ($footer_layout_type=='gotopicon'):
		
			$positions_arr = array(
			"gotopicon" => $this->getColsClassFooter($module, 'gotopicon', 'gotopicon')
			);	

		endif;
		
		if ($this->params_ini_arr['footer_enabled'] && ($this->display_copyright_icn || ($this->display_copyright_message && !empty($this->copyright_message)) || ($this->display_gotop && $this->gotop_type=="fixed"))) :

		$html .= '<!-- BEGIN: '.$name.' -->'."\n";
		$html .= '<div class="bt_'.$name.'_outer_top_out"><div class="bt_'.$name.'_outer_top_in"></div></div>'."\n";
		$html .= '<div class="bt_'.$name.'_outer">'."\n";
		$html .= '<div class="bt_'.$name.'_inner">'."\n";
		$html .= '   <div class="container bt_'.$name.'_container">'."\n";
		$html .= '      <div class="row bt_'.$name.'_row">'."\n";
		$html .= $this->getModulePositionNew($module, $positions_arr)."\n";
		$html .= '      </div><!-- .bt_'.$name.'_row -->'."\n";
		$html .= '   </div><!-- .bt_'.$name.'_container -->'."\n";
		$html .= '</div><!-- .bt_'.$name.'_inner -->'."\n";
		$html .= '</div><!-- .bt_'.$name.'_outer -->'."\n";
		$html .= '<div class="bt_'.$name.'_outer_bottom_out"><div class="bt_'.$name.'_outer_bottom_in"></div></div>'."\n";
		$html .= '<!-- END: '.$name.' -->'."\n\n\n";
		
		endif;
		
		return $html;
  }  
   
  function getParamsIni()
  {
	  $params_ini_arr = array();
	  $params_ini_arr = parse_ini_file('templates/'.$this->template_name.'/params.ini');
	  
	  return $params_ini_arr;
  }

  function getDebug() {
    return "\n\n<div style=\"display:none\">#fc3424 #5835a1 #1975f2 #2fc86b #f_syc9 #eef12086 #160714090159</div><jdoc:include type=\"modules\" name=\"debug\" />\n\n";
  }
  
  function is_ssl()
  {
	if (!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] != 'off'):
    	return true;
  	else:
		return false;
	endif;
  }

	// set cookies (for: style switcher)
	function setBTCookie($name) // $name = skin, pattern
	{
		$bt_template_name = $this->getCleanTemplateName();
		if (!empty($_GET['"$name"'])) :
		  setcookie($bt_template_name."_bt_cookie_".$name, $_GET['"$name"'], time()+3600);
		  return true;
		endif;
		return false;
	}
	
	// get cookies (from: style switcher)
	function getBTCookie($name, $default) 
	{
		$bt_template_name = $this->getCleanTemplateName();

		// get current skin, pattern (from template parameters)
		if (!empty($_GET[$name])) : // example: http://domain.com?bt_template_skin=skin1
			return $_GET[$name];
		elseif (isset($_COOKIE[$name])) :
			return $_COOKIE[$name];
		else:
			return $default; // get skin, pattern from params
		endif;
	}
	
	// check if file exists
	function templateFileExists($path)
	{
		$file_path = JPATH_THEMES.'/'.$this->getCleanTemplateName().$path;
		if(!file_exists($file_path)):
			return false;
		else:
			return true;
		endif;
	}

	// get file contents
	function getFileContents($path)
	{
		$file_path = JPATH_THEMES.'/'.$this->getCleanTemplateName().$path;
		if(!file_exists($file_path)):
			$file_contents = '<!-- Insert your custom javascript code below -->';
		else:
			$file_contents = file_get_contents($file_path);
		endif;
		
		return $file_contents;
	}

	// Get template's name e.g. bt_bodyworx
	function getCleanTemplateName()
	{
		$db = JFactory::getDbo();
		$query = $db->getQuery(true);
		$query
			->select('template')
			->from('`#__template_styles`')
			->where('`client_id` = 0 AND `home`= 1 AND `template` LIKE "bt_%"')
			->order('`id` DESC')
			;
		$db->setQuery($query);
		return $db->loadResult();
	}

  function styleSwitcher($baseurl)
  {
		// get ini params
		$params_ini_arr = $this->getParamsIni();
		
		// style switcher config
		$style_switcher_params = $this->tmpl_params->get("styleswitcher");
		$style_switcher_ini = $params_ini_arr['style_switcher'];
		if ($style_switcher_params!='' && $style_switcher_ini==1):
			$style_switcher = $style_switcher_params; 
		elseif ($style_switcher_ini==1):
			$style_switcher = 1;
		else:
			$style_switcher = 0;
		endif;

		// bg layout config
		$bg_layout_params = $this->tmpl_params->get("bglayout");
		$bg_layout_ini = $params_ini_arr['bg_layout'];
		if ($bg_layout_params!='' && $bg_layout_ini==1):
			$bg_layout_p = $bg_layout_params; 
		elseif ($bg_layout_ini==1):
			$bg_layout_p = 'wide';
		else:
			$bg_layout_p = 'wide';
		endif;

		// skins config
		$skins_params = $this->tmpl_params->get("skins");
		$skins_ini = $params_ini_arr['skins'];
		if ($skins_params!='' && $skins_ini==1):
			$skins_p = $skins_params; 
		elseif ($skins_ini==1):
			$skins_p = 'skin1';
		else:
			$skins_p = 'skin1';
		endif;

		// patterns config
		$patterns_params = $this->tmpl_params->get("bgpatterns");
		$patterns_ini = $params_ini_arr['bg_patterns'];
		if ($patterns_params!='' && $patterns_ini==1):
			$patterns_p = $patterns_params; 
		elseif ($patterns_ini==1):
			$patterns_p = 'no_pattern';
		else:
			$patterns_p = 'no_pattern';
		endif;
	
		// bgimages config
		$bgimages_params = $this->tmpl_params->get("bgimages");
		$bgimages_ini = $params_ini_arr['bg_images'];
		if ($bgimages_params!='' && $bgimages_ini==1):
			$bgimages_p = $bgimages_params; 
		elseif ($bgimages_ini==1):
			$bgimages_p = 'no_bg_img';
		else:
			$bgimages_p = 'no_bg_img';
		endif;
	
		// set variables
		$skin = '';
		$pattern = '';
		$bg_img = '';
		$bg_layout = '';
		$pattern_style_css_a = '';
		$pattern_style_css_b = '';
		$bgimages_style_css_a = '';
		$bgimages_style_css_b = '';
		$skins_style_css = '';
		$bt_template_name = $this->getCleanTemplateName();
		
		// BEGIN: get styles from params
		$skin = $skins_p;
		$pattern = (!empty($patterns_p) && $patterns_p != 'no_pattern') ? 'pattern pattern-'.$patterns_p : 'no_pattern'; //'pattern pattern-1';
		$bg_img = (!empty($bgimages_p) && $bgimages_p != 'no_bg_img') ? 'bg_img bg_img-'.$bgimages_p : 'no_bg_img'; // bg_img bg_img-1
		$bg_layout = $bg_layout_p;
		// END: get styles from theme options
		
		// BEGIN: Style Switcher
		if ($style_switcher && ($bg_layout_ini==1 || $patterns_ini==1 || $bgimages_ini==1 || $skins_ini==1)) :
		
			// BEGIN: cookies
			// set cookies (for: style switcher)
			$this->setBTCookie($bt_template_name.'_bt_cookie_skin');
			$this->setBTCookie($bt_template_name.'_bt_cookie_pattern');
			$this->setBTCookie($bt_template_name.'_bt_cookie_bg_img');
			$this->setBTCookie($bt_template_name.'_bt_cookie_bg_layout');
			
			// get cookies (from: style switcher)
			$skin = $this->getBTCookie($bt_template_name.'_bt_cookie_skin', 'skin1');
			$pattern = $this->getBTCookie($bt_template_name.'_bt_cookie_pattern', '');
			$bg_img = $this->getBTCookie($bt_template_name.'_bt_cookie_bg_img', '');
			$bg_layout = $this->getBTCookie($bt_template_name.'_bt_cookie_bg_layout', '');
			// END: cookies
			
			// load css
			// check if compression is enabled
			echo '<link href="'.BONUS_ASSETS_URL.'/css/style_switcher.css" rel="stylesheet" type="text/css" media="screen" />'."\n";
			
		endif;
		// END: Style Switcher
		
		// load skin css
		//echo '<link rel="stylesheet/less" id="'.$bt_template_name.'_skin" type="text/css" href="'.$baseurl.'/templates/'.$this->template_name.'/less/skins/'.$skin.'.less" media="all">'."\n";
		
		if ($style_switcher):
			echo '<link rel="stylesheet" type="text/css" href="'.$baseurl.'/templates/'.$this->template_name.'/css/all.css" media="all">'."\n";
		endif;
		
		echo '<link rel="stylesheet" id="'.$bt_template_name.'_skin" type="text/css" href="'.$baseurl.'/templates/'.$this->template_name.'/css/skins/'.$skin.'.css" media="all">'."\n";
		echo '<link rel="stylesheet" type="text/css" href="'.$baseurl.'/templates/'.$this->template_name.'/css/custom.css" media="all">'."\n";
		
		// class for body
		$body_class = ' ';
		if ($pattern == 'no_pattern' && $bg_img != 'no_bg_img'):
			$body_class .= $bg_img;
		elseif ($pattern != 'no_pattern' && $bg_img == 'no_bg_img'):
			$body_class .= $pattern;
		elseif ($pattern != 'no_pattern' && $bg_img != 'no_bg_img'):
			$body_class .= $pattern;
		endif;
		
		// BEGIN: css for patterns
		if ($this->tmpl_params->get('styleswitcher', '1') == 1 || (!empty($patterns_p) && $this->tmpl_params->get('bgpatterns', 'no_pattern') != 'no_pattern' && $this->tmpl_params->get('bgpatterns', 'no_pattern') != 'pattern_only_for_boxed')):
		
			// read all css files from the folder "/bt_template/images/bg_patterns/"
			$bgpatterns_folder_path = JPATH_ROOT.'/templates/'.$this->getCleanTemplateName().'/images/bg_patterns/';
			$files = array();
			if ($handle = opendir($bgpatterns_folder_path)) :
				while ($entry = readdir($handle)) :
					$ext = pathinfo($entry, PATHINFO_EXTENSION);
					if ($ext=='png' || $ext=='jpg'):
						$file_name_without_ext = str_replace('.png', '', $entry);
						$file_name_without_ext = str_replace('.jpg', '', $file_name_without_ext);
						$files[$entry] = $file_name_without_ext;
					endif;
				endwhile;
				closedir($handle);
			endif;
			asort($files);

			$pattern_style_css  = '';
			$pattern_style_css .= "\n".'/* Patterns */'."\n";
			$pattern_style_css .= '.pattern { background-attachment: scroll; background-size: auto; background-position: 50% 50%; background-repeat: repeat repeat; background-color:#ccc; }'."\n";
			
			foreach ($files as $k=>$v):
				$pattern_style_css .= '.pattern-'.$v.' { background-image: url("'.JURI::root(true).'/templates/'.$this->template_name.'/images/bg_patterns/'.$k.'"); }'."\n";
			endforeach;
			
			$pattern_style_css_a = $pattern_style_css;
			
			$this->document->addStyleDeclaration($pattern_style_css);
		endif;
		// END: css for patterns

		// BEGIN: css for patterns icons
		if ($this->tmpl_params->get('styleswitcher', '1') == 1 || (!empty($patterns_p) && $this->tmpl_params->get('bgpatterns', 'no_pattern') != 'no_pattern' && $this->tmpl_params->get('bgpatterns', 'no_pattern') != 'pattern_only_for_boxed')):

			// read all css files from the folder "/bt_template/images/bg_patterns/"
			$bgpatterns_folder_path = JPATH_ROOT.'/templates/'.$this->getCleanTemplateName().'/images/style_switcher/bg_patterns/';
			$files = array();
			if ($handle = opendir($bgpatterns_folder_path)) :
				while ($entry = readdir($handle)) :
					$ext = pathinfo($entry, PATHINFO_EXTENSION);
					if ($ext=='png' || $ext=='jpg'):
						$file_name_without_ext = str_replace('.png', '', $entry);
						$file_name_without_ext = str_replace('.jpg', '', $file_name_without_ext);
						$files[$entry] = $file_name_without_ext;
					endif;
				endwhile;
				closedir($handle);
			endif;
			asort($files);

			$pattern_style_css  = '';
			$pattern_style_css .= "\n".'/* Patterns Icons */'."\n";
			
			foreach ($files as $k=>$v):
				$pattern_style_css .= '.change-pattern-'.$v.' { background-image: url("'.JURI::root(true).'/templates/'.$this->template_name.'/images/style_switcher/bg_patterns/'.$k.'"); }'."\n";
			endforeach;
			
			$pattern_style_css_b = $pattern_style_css;

			$this->document->addStyleDeclaration($pattern_style_css);
		endif;
		// END: css for patterns icons

		// BEGIN: css for bg images
		if ($this->tmpl_params->get('styleswitcher', '1') == 1 || (!empty($bgimages_p) && $this->tmpl_params->get('bgimages', 'no_bg_img') != 'no_bg_img' && $this->tmpl_params->get('bgimages', 'bgimage_only_for_boxed') != 'bgimage_only_for_boxed')):
		
			// read all css files from the folder "/bt_template/images/bg_patterns/"
			$bgimages_folder_path = JPATH_ROOT.'/templates/'.$this->getCleanTemplateName().'/images/bg_images/';
			$files = array();
			if ($handle = opendir($bgimages_folder_path)) :
				while ($entry = readdir($handle)) :
					$ext = pathinfo($entry, PATHINFO_EXTENSION);
					if ($ext=='png' || $ext=='jpg'):
						$file_name_without_ext = str_replace('.png', '', $entry);
						$file_name_without_ext = str_replace('.jpg', '', $file_name_without_ext);
						$files[$entry] = $file_name_without_ext;
					endif;
				endwhile;
				closedir($handle);
			endif;
			asort($files);

			$bgimages_style_css  = '';
			$bgimages_style_css .= "\n".'/* Background Images */'."\n";
			$bgimages_style_css .= '.bg_img { background-attachment: fixed;	background-size: cover;	background-position: 50% 50%; background-repeat: no-repeat no-repeat; }'."\n";
			
			foreach ($files as $k=>$v):
				$bgimages_style_css .= '.bg_img-'.$v.' { background-image: url("'.JURI::root(true).'/templates/'.$this->template_name.'/images/bg_images/'.$k.'"); }'."\n";
			endforeach;
			
			$bgimages_style_css_a = $bgimages_style_css;

			$this->document->addStyleDeclaration($bgimages_style_css);
		endif;
		// END: css for bg images

		// BEGIN: css for bg images icons
		if ($this->tmpl_params->get('styleswitcher', '1') == 1 || (!empty($bgimages_p) && $this->tmpl_params->get('bgimages', 'no_bg_img') != 'no_bg_img' && $this->tmpl_params->get('bgimages', 'bgimage_only_for_boxed') != 'bgimage_only_for_boxed')):
		
			// read all css files from the folder "/bt_template/images/bg_patterns/"
			$bgimages_folder_path = JPATH_ROOT.'/templates/'.$this->getCleanTemplateName().'/images/style_switcher/bg_images/';
			$files = array();
			if ($handle = opendir($bgimages_folder_path)) :
				while ($entry = readdir($handle)) :
					$ext = pathinfo($entry, PATHINFO_EXTENSION);
					if ($ext=='png' || $ext=='jpg'):
						$file_name_without_ext = str_replace('.png', '', $entry);
						$file_name_without_ext = str_replace('.jpg', '', $file_name_without_ext);
						$files[$entry] = $file_name_without_ext;
					endif;
				endwhile;
				closedir($handle);
			endif;
			asort($files);

			$bgimages_style_css  = '';
			$bgimages_style_css .= "\n".'/* Background Images Icons */'."\n";
			
			foreach ($files as $k=>$v):
				$bgimages_style_css .= '.change-bg_img-'.$v.' { background-image: url("'.JURI::root(true).'/templates/'.$this->template_name.'/images/style_switcher/bg_images/'.$k.'"); }'."\n";
			endforeach;
			
			$bgimages_style_css_b = $bgimages_style_css;

			$this->document->addStyleDeclaration($bgimages_style_css);
		endif;
		// END: css for bg images icons

		// BEGIN: css for skins
		if (!empty($skins_p) && $this->tmpl_params->get('styleswitcher', '1') == 1):
		
			// read all css files from the folder "/bt_template/images/bg_patterns/"
			$skins_folder_path = JPATH_ROOT.'/templates/'.$this->getCleanTemplateName().'/images/style_switcher/skins/';
			$files = array();
			if ($handle = opendir($skins_folder_path)) :
				while ($entry = readdir($handle)) :
					$ext = pathinfo($entry, PATHINFO_EXTENSION);
					if ($ext=='png' || $ext=='jpg'):
						$file_name_without_ext = str_replace('.png', '', $entry);
						$file_name_without_ext = str_replace('.jpg', '', $file_name_without_ext);
						$files[$entry] = $file_name_without_ext;
					endif;
				endwhile;
				closedir($handle);
			endif;
			asort($files);

			$skins_style_css  = '';
			$skins_style_css .= "\n".'/* Skin Icons */'."\n";
			
			foreach ($files as $k=>$v):
				$skins_style_css .= '.change-skin-'.$v.' { background-image: url("'.JURI::root(true).'/templates/'.$this->template_name.'/images/style_switcher/skins/'.$k.'"); }'."\n";
			endforeach;
			
			$this->document->addStyleDeclaration($skins_style_css);
		endif;
		// END: css for skins

		$results_arr = array(
			'style_switcher'=>$style_switcher,
			'skin'=>$skin, 
			'pattern'=>$pattern, 
			'bg_img'=>$bg_img, 
			'bg_layout'=>$bg_layout, 
			'body_class'=>$body_class, 
			'bg_layout_ini'=>$bg_layout_ini, 
			'patterns_ini'=>$patterns_ini, 
			'bgimages_ini'=>$bgimages_ini, 
			'skins_ini'=>$skins_ini, 
			'pattern_style_css_a'=>$pattern_style_css_a,
			'pattern_style_css_b'=>$pattern_style_css_b,
			'bgimages_style_css_a'=>$bgimages_style_css_a,
			'bgimages_style_css_b'=>$bgimages_style_css_b,
			'skins_style_css'=>$skins_style_css
			);

		return $results_arr;
  }
  
  // get the Joomla version (j25x, j3x)
  function getJVersion()
  {
		JLoader::import( "joomla.version" );
		$version = new JVersion();
		if (!version_compare( $version->RELEASE, "2.5", "<=")) :
			$bt_j_version = "j3x";
		else:
			$bt_j_version = "j25x";
		endif;
		
		return $bt_j_version;
  }

}
?>